commit c4f335cbddf29f271896f491bbb7949ac0680ff5
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 08:38:50 +0000

    manual test: move to test/core

    The strange use of source from a sibling directory seems to be
    breaking
    distcheck:

    Making distclean in manual
    make[3]: Entering directory
    '/.../dbus-glib-0.105/_build/sub/test/manual'
    Makefile:409: ../core/.deps/my-object.Po: No such file or directory
    make[3]: *** No rule to make target '../core/.deps/my-object.Po'.
    Stop.

 configure.ac                     |   1 -
 test/Makefile.am                 |   4 +-
 test/core/Makefile.am            |   9 ++
 test/core/manual/invalid-usage.c | 320
 +++++++++++++++++++++++++++++++++++++++
 test/manual/Makefile.am          |  30 ----
 test/manual/invalid-usage.c      | 320
 ---------------------------------------
 6 files changed, 331 insertions(+), 353 deletions(-)

commit f9b23a4d7f536b5d4c42c39d170bc561811cbe6f
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 08:34:36 +0000

    test: stop generating marshallers

    They haven't been needed since GLib 2.30. Until now, we were also
    incorrectly distributing the generated marshallers in tarball
    releases.

 test/core/Makefile.am      | 29 +++++++++++------------------
 test/core/my-object.c      | 19 ++-----------------
 test/core/my-object.h      |  1 -
 test/core/test-dbus-glib.c |  2 --
 test/manual/Makefile.am    |  2 --
 5 files changed, 13 insertions(+), 40 deletions(-)

commit 43a446bbd4e7c5726e87882b03185df37e97fe73
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 07:00:13 +0000

    test: stop calling g_mem_profile(), no longer supported

    This now raises a g_warning() which makes the test fail.

 test/core/test-dbus-glib.c | 6 ------
 1 file changed, 6 deletions(-)

commit 6211894d92d45271fa5e8c964521ca8ee2cef1ac
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 06:53:22 +0000

    Enable subdir-objects Automake option to silence warnings

    automake: warning: possible forward-incompatibility.
    automake: At least a source file is in a subdirectory, but the
    'subdir-objects'
    automake: automake option hasn't been enabled. [etc.]

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebda5f95126d6adc38c2511a65e330d472af4f60
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 06:52:30 +0000

    Replace deprecated INCLUDES with AM_CPPFLAGS

 dbus/Makefile.am                       | 4 ++--
 dbus/examples/Makefile.am              | 2 +-
 dbus/examples/statemachine/Makefile.am | 2 +-
 test/Makefile.am                       | 2 +-
 test/core/Makefile.am                  | 2 +-
 test/interfaces/Makefile.am            | 2 +-
 tools/Makefile.am                      | 9 ++++++++-
 7 files changed, 15 insertions(+), 8 deletions(-)

commit be7177fafb94bc3db50843e739df4575d4dabac0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2016-01-04 14:08:01 +0000

    NEWS: mention GLib 2.47.2, credit Colin

 NEWS | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit af8e9f140d50eaf46d89503d2e765699aa923252
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2016-01-04 14:05:30 +0000

    NEWS

 NEWS | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 14d608cc0bd83ce5d5bdf469ec0e83a6afd97afd
Author: Colin Watson <cjwatson@debian.org>
Date:   2015-12-26 18:01:04 +0000

    Stop using G_HAVE_INLINE

    GLib removed this macro from its headers in
    db2367e8782d7a39fc3e93d13f6a16f10cad04c2 (GLib 2.47.2).  It's
    unnecessary here for the same reasons, and relying on it now causes an
    unused-function warning from GCC.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=93513
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-binding-tool-glib.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 94c6ec840575a11c485ebb3a652a4bc89917dcd0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 16:26:16 +0000

    0.105

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 3000eaff772abadc1dcd22742d7d80545bd7269f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 15:58:57 +0000

    0.104

 NEWS         | 38 ++++++++++++++++++++++++++++++++++++--
 configure.ac |  6 +++---
 2 files changed, 39 insertions(+), 5 deletions(-)

commit 82ca3f62848b72061bf041df529bea58e53d55e7
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2015-02-09 13:38:27 +0000

    doc: Make the deprecation warning bigger

    Make the deprecation warning in the documentation introduction bigger.
    Add a copy of it to the front page of the documentation too, which is
    what people see when they first find the documentation online.

 doc/reference/dbus-glib-docs.sgml | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

commit 983ea5ae211dcac80007cc8ef2b3be0aad35ecb1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 15:02:17 +0000

    30574 test: squash some compiler warnings

 test/core/30574.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 63d86aad0624cb9c861cb8aae53467893b47a497
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 14:49:06 +0000

    Drop unused functions

 dbus/dbus-gobject.c | 55
 -----------------------------------------------------
 1 file changed, 55 deletions(-)

commit b972d42d074335d2043fd0c2b4300825a22783b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 14:48:59 +0000

    Use GLIB_VERSION_MAX_ALLOWED, GLIB_VERSION_MIN_REQUIRED

 configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit fa9065942e51cac4bf3927d7c38e350457ae085a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 14:43:49 +0000

    Stop calling g_thread_init or linking libgthread-2.0

    Since GLib 2.32, which we now depend on, this is unnecessary.

 configure.ac                   | 2 +-
 test/core/peer-client.c        | 2 +-
 test/core/peer-server.c        | 2 +-
 test/core/test-profile.c       | 1 -
 test/core/test-service-glib.c  | 2 +-
 test/core/test-thread-client.c | 1 -
 test/core/test-thread-server.c | 1 -
 7 files changed, 4 insertions(+), 7 deletions(-)

commit b5528d7ff526d700aab5b9e11aed871180d4f81e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 13:32:45 +0100

    Require a modern libdbus and a modern GLib

    This means we can assume that GLib and libdbus are thread-safe by
    default.

    Also explicitly document that the object-mapping layer of dbus-glib
    is not thread-safe.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64214
    Reviewed-by: Colin Walters <walters@verbum.org>
    [with review comments to be fixed in subsequent commit -smcv]

 configure.ac          | 7 ++-----
 dbus/dbus-gthread.c   | 9 ++++++---
 test/core/Makefile.am | 6 ------
 3 files changed, 8 insertions(+), 14 deletions(-)

commit c0d1ffc09b5b008fe9b3ee09330ad663927669af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 13:36:28 +0100

    Use g_cclosure_marshal_generic for all marshalling

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64214
    Reviewed-by: Colin Walters <walters@verbum.org>

 dbus/dbus-gobject.c | 117
 ++--------------------------------------------------
 dbus/dbus-gobject.h |   6 ---
 dbus/dbus-gproxy.c  |  18 ++------
 3 files changed, 6 insertions(+), 135 deletions(-)

commit d3a4fb94e10bacb2c18e0b56456e565471898508
Author: Mike Gorse <mgorse@suse.com>
Date:   2012-08-31 13:24:19 -0500

    Remove erroneous assert from connection_setup_add_timeout

    When switching a connection from one main loop to another, timeouts
    are
    moved to the new connection, so connection_setup_add_timeout gets
    called on
    the new connection for all timeouts that were set on the old
    connection.
    This means that the timeout's data can, in fact, be non-NULL, and
    it will be
    freed / removed from the old connection as a side-effect of adding
    it to the
    new connection. A similar assert was removed from
    dbus_connection_add_watch
    a while ago as part of the original patch for this bug.

    Also, clean up the regression test a bit, and test that a
    DBusConnection
    can be migrated when a pending call is present.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30574
    [resolve conflicts -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gmain.c |  2 --
 test/core/30574.c | 65
 ++++++++++++++++++++++++++++++-------------------------
 2 files changed, 36 insertions(+), 31 deletions(-)

commit 40ae208c3309cfa0be27ef458e6947433ff3841e
Author: Jiří Klimeš <jklimes@redhat.com>
Date:   2012-02-06 14:00:06 +0100

    docs: fix a typo in dbus_g_type_get_struct() description

    Signed-off-by: Jiří Klimeš <jklimes@redhat.com>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45686

 dbus/dbus-gtype-specialized.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8d44600179172cbf72337f46f4bad58fbefaf8f
Author: Jiří Klimeš <jklimes@redhat.com>
Date:   2012-02-06 12:29:54 +0100

    docs: fix a typo in dbus_g_type_struct_get()'s doc

    Signed-off-by: Jiří Klimeš <jklimes@redhat.com>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45686

 dbus/dbus-gtype-specialized.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f9eb639229410a127958424fe1687135be3a38d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 13:31:15 +0100

    Document the entire library as deprecated

 dbus/dbus-glib.c                  |  40 ++++++++++++
 dbus/dbus-gmain.c                 |  16 +++++
 dbus/dbus-gobject.c               |  53 ++++++++++++++++
 dbus/dbus-gproxy.c                |  70 +++++++++++++++++++++
 dbus/dbus-gthread.c               |   3 +
 dbus/dbus-gtype-specialized.c     | 127
 ++++++++++++++++++++++++++++++++++++++
 dbus/dbus-gvalue-parse-variant.c  |   2 +
 dbus/dbus-gvalue.c                |  12 ++++
 doc/reference/dbus-glib-docs.sgml |  53 +++-------------
 9 files changed, 332 insertions(+), 44 deletions(-)

commit a868cfe62f36bd11f60b5e68a8af854f95cb4931
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:40:52 +0100

    Use gtk-doc in no-tmpl mode, moving documentation into the source code

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac                         |  2 +-
 dbus/dbus-glib.c                     |  4 ++++
 dbus/dbus-gobject.c                  |  4 +++-
 dbus/dbus-gproxy.c                   | 13 +++++++++++++
 dbus/dbus-gtype-specialized.c        |  1 +
 doc/reference/dbus-glib-docs.sgml    |  4 ++++
 doc/reference/dbus-glib-sections.txt |  3 ++-
 7 files changed, 28 insertions(+), 3 deletions(-)

commit c67ec31532d678c893a6f29060db4a0e2d9f0770
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:39:49 +0100

    Use AC_LANG_PROGRAM to check for socklen_t

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6efaae028bed13d022020ecf728b7442e8fd737b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:39:04 +0100

    Replace deprecated AM_PROG_LIBTOOL with LT_INIT

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 019b5f844f4c7bf33759e1e98236b599a542ba6c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:38:09 +0100

    Use AC_LANG_PROGRAM in AC_COMPILE_IFELSE

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ffa9f9e5e0926cabbfac5cd661a02cfb43bcc952
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:35:51 +0100

    configure.ac: modernize AC_OUTPUT

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7678b6f8f43789a880147749bd4b6dc3454d4dec
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2014-07-29 11:16:47 +0100

    demarshal_static_variant: fail gracefully with unknown message types

    Refuse to demarshal variants containing unknown types such as
    DBUS_TYPE_UNIX_FD
    or DBUS_TYPE_MAYBE.  Otherwise we will not be able to free them
    automatically
    with g_value_unset.

    Symptoms:
    > GLib-GObject-CRITICAL **: g_value_unset: assertion 'G_IS_VALUE
    (value)' failed

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=80557
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gvalue.c | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 7b81cf6445b0802c582dfca4a7e5afec5c9c389e
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2014-07-28 17:32:16 +0100

    _dbus_gtype_from_signature_iter: fail gracefully with unknown
    message types

    _dbus_gtype_from_signature_iter now returns G_TYPE_INVALID on
    unknown message
    types such as DBUS_TYPE_UNIX_FD or DBUS_TYPE_MAYBE.

    Symptoms:
    > arguments to dbus_signature_iter_recurse() were incorrect, assertion
    > "dbus_type_is_container (dbus_signature_iter_get_current_type
    (iter))" failed
    > in file ../../dbus/dbus-signature.c line 213.
    > This is normally a bug in some application using the D-Bus library.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=80557
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gsignature.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 52e42240ed11a1aeb1e6b6d1c77497e620b36015
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-05 15:06:20 +0100

    tests: only remove sources that have not already been removed

    With modern GLib, misusing GSource provokes a critical warning, which
    is made fatal by our test framework.

    It is possible (indeed likely) that some or all of the
    cancel_exit_timeout() calls just before re-adding the timeout are
    redundant, but I didn't want to waste time on assessing that - easier
    to just do it every time.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=83530
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/test-dbus-glib.c | 54
 +++++++++++++++++++++++++++++++++++-----------
 1 file changed, 41 insertions(+), 13 deletions(-)

commit eb14381d59ac3fdf7bbd7b75705cbf133cada399
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-12 15:36:38 +0000

    nano version

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 397e8297d433547c9bf4150ddd2b9e0b4c39628c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-12 13:39:09 +0000

    update NEWS, release 0.102

 NEWS         | 17 ++++++++++++++---
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 4 deletions(-)

commit f53a35e5d20a2c0010718e7bfd863fc09ff9b1a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-02-12 13:32:29 +0000

    ignore more Automake droppings

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit ee0f90d5d619ef53f30edbbeb19c7b6a5055a84b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-01-14 11:22:34 +0000

    dbus-binding-tool: check for valid interface, member and property
    names

    Properties are currently allowed to be arbitrary UTF-8 since this
    matches
    dbus-glib's runtime behaviour, although ideally new interfaces should
    use the more restrictive member naming rules (leading to names like
    MyProperty) for interop with QtDBus.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=7909
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gidl.c    | 11 +++++++++++
 dbus/dbus-gparser.c | 36 +++++++++++++++++++++++++++++++++++-
 2 files changed, 46 insertions(+), 1 deletion(-)

commit f1311ce39c6bcab1e25de20eb684bb78cce56e59
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-11-19 16:41:50 -0500

    dbus_g_value_build_g_variant(): Fix NULL string case

    g_variant_new_string(NULL) is not accepted.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71811
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gtype-specialized.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e0edaf682056f487b315c3d8236a06ac8c156b8d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   2013-11-19 16:16:33 -0500

    dbus_g_value_build_g_variant(): Fix NULL strv case

    g_variant_new_strv(NULL, -1) is not accepted, but (NULL, 0) is good.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=71811
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gtype-specialized.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2b1b3c4f6c271a64f6767c2cbd9f5713d0bdedaf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-12-04 18:13:10 +0000

    Fix yet another leak, this one caused by poor documentation (#29195)

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/error-mapping.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit b78ab1e3f845ae075afe8880c96568506135506c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 13:51:13 +0100

    Add a list of Valgrind suppressions for false-positives

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 tools/dbus-glib-tests.supp |  64 ++++++++++
 tools/dbus-glib.supp       | 297
 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 361 insertions(+)

commit 30a03399929cf943449968d537499c63019d36b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-12-04 17:56:24 +0000

    Add infrastructure for running tests under valgrind

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 Makefile.am                 |  3 +++
 test/Makefile.am            |  4 ++++
 test/core/Makefile.am       | 16 ++++++++++++++++
 test/interfaces/Makefile.am | 16 ++++++++++++++++
 4 files changed, 39 insertions(+)

commit 45869f2d43de75c3fef4b3f5978f096296797257
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 19:06:29 +0100

    test-dbus-glib: free numerous leaked objects, and clean up more
    thoroughly

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/test-dbus-glib.c | 30 ++++++++++++++++++++++++++----
 1 file changed, 26 insertions(+), 4 deletions(-)

commit 27b65f054da59f2ce660af6b1c3ecdc2647c07bd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 19:04:23 +0100

    Separate the test for shared-bus equivalence into its own binary

    When valgrinding tests it's useful to avoid using the shared bus,
    which
    cannot be closed. Move all the essential shared-bus use into a
    test which
    can be treated specially.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 .gitignore                 |   1 +
 test/core/Makefile.am      |   6 +-
 test/core/run-test.sh      |   1 +
 test/core/shared-bus.c     | 135
 +++++++++++++++++++++++++++++++++++++++++++++
 test/core/test-dbus-glib.c |   5 --
 5 files changed, 142 insertions(+), 6 deletions(-)

commit f3538c4210447c572aa82cb2eb0305ef7f70b2b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 18:32:35 +0100

    test-types: use a private bus, and close it afterwards

    This frees more of the memory.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/test-types.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 72e865d96b266cc8c9c0586fff2a36382b23d7ec
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 18:32:09 +0100

    registrations test: run the connections to completion and call
    dbus_shutdown

    This frees more of the memory.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/registrations.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 48e799e7184722047c4944ab16dc37751cc89227
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 18:31:40 +0100

    30574 test: use a private bus so we can free it more thoroughly

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/30574.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit ce8f21c62064a3ccd3bfd2d01444e017312ab1d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 18:31:12 +0100

    test-variant-recursion: use a private bus so we can free it more
    thoroughly

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/test-variant-recursion.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 021d157ba43702b05973cbd96fafcf6ec3b96ece
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 18:29:27 +0100

    test-variant-recursion: free our GValues and the output string
    correctly

    Previously, if we'd freed the GValues, it would have crashed, because
    g_value_take_boxed on a value of type G_TYPE_VALUE requires that
    the inner
    GValue was g_malloc'd individually, but we were allocating them as a
    block. This only "worked" because *none* of them were freed...

    The returned string was also leaked; free it too, but only on success.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/test-variant-recursion.c | 45
 ++++++++++++++++++++++----------------
 1 file changed, 26 insertions(+), 19 deletions(-)

commit 8f7fbad772460e1ec9509de481bd572a7a9233d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 18:25:37 +0100

    registrations test: bin some unused variables

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/registrations.c | 3 ---
 1 file changed, 3 deletions(-)

commit dacf9d5d09b104469c1b30c6efd4107d03ce79bc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 13:50:40 +0100

    interfaces test: don't call an undefined function on failure, just
    use set -e

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/interfaces/run-test.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 79d817e8c11f9dd45f83da30f864f31641e05ac0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 13:50:11 +0100

    test-client: wait for disconnection, to get more state freed

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/interfaces/test-client.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 230751f4e63a65294739087ea994bafb320ca3f6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-09-22 13:49:05 +0100

    test-client: don't leak NodeInfo and one proxy

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/interfaces/test-client.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 15afdc4c10720c31a4142db66845e806244310a8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-05-12 12:41:05 +0100

    30574 test: don't leak two messages and a pending call per run

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41129
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/30574.c | 3 +++
 1 file changed, 3 insertions(+)

commit f210a9025fb17b91902b3815411f26eaad4597e7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-15 12:00:41 +0000

    Add a regression test for CVE-2013-0292

    Inspired by Sebastian Krahmer's 'darklena.c', which used
    this bug to exploit pam_fprintd.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68603
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/Makefile.am |   4 +
 test/core/proxy-noc.c | 264
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 268 insertions(+)

commit d5e48a022b7da2d073df22775f8aeab98a82f693
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-18 13:46:23 +0000

    Update HACKING for current status

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68602
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 HACKING | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit e1f1926c6b67726206c4c199781831e82553aae9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-10-21 12:24:52 +0100

    Bring back NEWS

    I'm the only one who does dbus-glib releases these days, and I find it
    easier to track changes as we go along than to construct a change
    list during the release process.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68602
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 NEWS | 372
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 368 insertions(+), 4 deletions(-)

commit f1fc0540d861c7fad17a7d9917db7ff1ddedaa46
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-18 11:35:47 +0000

    README: replace with a deprecation warning

    Most of the README was really about libdbus anyway.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68602
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 README | 33 +++++----------------------------
 1 file changed, 5 insertions(+), 28 deletions(-)

commit 725105b4534e90db01adc7cddc88420a419333fd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-27 13:16:51 +0100

    Avoid underlinking internal library libdbus-gtool.la

    Anything that links libdbus-gtool needs to pull in GLib/GObject,
    and the order matters (things that libdbus-gtool depends on must
    appear after libdbus-gtool itself). libtool understands this, but
    only if you tell it the full dependencies.

    This broke compilation of test-dbus-glib.exe when cross-compiling
    for 32-bit Windows with mingw-w64 (GNU tuple: i686-w64-mingw32).

    The linking order used here for dependencies is "lowest in the stack
    first", as recommended by the GStreamer documentation.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68601
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/Makefile.am | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit a466946c5ef882ff4710c624b2f33b3ff81a5ea9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-08-27 12:23:00 +0100

    tests: fix under-linking

    The test for errors uses dbus_set_error() so it should link -ldbus-1.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=68601
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 9cd58adf12ec11069947032c01e8d12fde9d34fd
Merge: 75c61e7 02b44f8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-02-25 12:56:34 +0000

    Merge tag 'dbus-glib_0.100.2'

    dbus-glib_0.100.2

    Conflicts:
	configure.ac

commit 75c61e7d357fac288d4591d32536d395f50ad8bc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:	2013-02-25 12:40:11 +0000

    use AC_CONFIG_HEADERS, not AM_CONFIG_HEADER

    Automake-1.13 removed long obsolete AM_CONFIG_HEADER completely
    <http://lists.gnu.org/archive/html/automake/2012-12/msg00038.html> and
    errors out upon seeing it.

    [commit message added -smcv]
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=59003
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02b44f8427ea48463d7b9f2a9f7099be7643b60d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-02-25 12:24:35 +0000

    0.102: respin tarball

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2d10073a23987c9eef3a6384faa0f7813108936
Merge: ee85b07 78f3e95
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-02-15 17:13:33 +0000

    Merge tag 'dbus-glib_0.100.1'

commit 78f3e953e4a05a1126874dd2ca6cec5777a15b3b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-02-15 12:37:04 +0000

    0.100.1 point release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 166978a09cf5edff4028e670b6074215a4c75eca
Author: Colin Walters <walters@verbum.org>
Date:	2013-02-14 10:19:34 -0500

    CVE-2013-0292: dbus-gproxy: Verify sender of NameOwnerChanged signals
    to be o.f.DBus

    Anyone can hop on the bus and emit a signal whose interface is
    o.f.DBus; it's expected at the moments that clients (and notably DBus
    libraries) check the sender.

    This could previously be used to trick a system service using
    dbus-glib
    into thinking a malicious signal came from a privileged source, by
    claiming that ownership of the privileged source's well-known name had
    changed from the privileged source's real unique name to the
    attacker's
    unique name.

    [altered to be NULL-safe so it won't crash on peer connections -smcv]
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gproxy.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ee85b071fb51efb9f9a48d4a658cbefefd14544a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-20 16:15:20 +0100

    Add a feature test for fd.o #23633, non-default main context

    [rebased and added to run-test.sh -dbcw]
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=23633

 .gitignore	       |   1 +
 test/core/Makefile.am |   7 ++
 test/core/private.c   | 268
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 test/core/run-test.sh |   1 +
 4 files changed, 277 insertions(+)

commit a90fe0f1d742579b6bcc07980551969c556c184b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-11-19 16:12:32 +0000

    test-profile: exit a bit more gracefully

    We close the connection to ourselves, resulting in libdbus shooting us
    in the head unless we ask it not to. Nice to see how thoroughly this
    code has been tested...

    For future reference, it can be tested like this:

	DBUS_TOP_BUILDDIR=$(pwd) ./test/core/run-test.sh profile

    (or substitute the real absolute top build directory, if out-of-tree).

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 test/core/test-profile.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit fac9b965fb65352641521d380b1428702015012b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-11-19 16:09:14 +0000

    test-profile: actually initialize GLib, if required

    It's alarming how often the phrase "I'm amazed this ever worked" comes
    up while maintaining dbus-glib.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 test/core/test-profile.c | 4 ++++
 1 file changed, 4 insertions(+)

commit e4a163431f2cd26959c9f46e573fc200c5b9fd3d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-11-19 15:55:53 +0000

    Remove check for abstract sockets, not relevant to dbus-glib

    test-profile.c was its only use, and all it was used for was to listen
    on an abstract or path-based socket, matching what D-Bus would do,
    when obtaining comparative performance figures for D-Bus vs.
    plain Unix sockets.

    test-profile.c isn't normally run, only works on Unix, and
    the check for abstract sockets was broken on current glibc (fd.o
    #29895),
    leading to us using the non-abstract code path anyway, so this clearly
    wasn't very important. I'm tempted to delete test-profile.c entirely,
    but until then, let's just make it use path-based sockets.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 Android.mk		  |  1 -
 configure.ac		  | 67
 ------------------------------------------------
 test/core/test-profile.c | 20 +--------------
 3 files changed, 1 insertion(+), 87 deletions(-)

commit bed0713c0a67b7bd558285b748ff212a3dfdd003
Author: Dan Williams <dcbw@redhat.com>
Date:	2012-10-07 10:55:50 -0500

    Add DBusGMethodInvocation accessor for the DBusGConnection

    If you're using two connections, say a shared connection and a private
    connection that uses DBusServer, there's no way to figure out which
    DBusConnection a method invocation originates from, and thus no way
    to do access control based on that.

    Private bus setup done with eg:

    void new_conn_func(DBusServer *s, DBusConnection *conn, gpointer
    to_export)
    {
      DBusGConnection *gconn;

      /* set access control, eg with
      dbus_connection_set_unix_user_function() */
      dbus_connection_setup_with_g_main(conn, NULL);

      gconn = dbus_connection_get_g_connection(conn);
      dbus_g_connection_register_object(gconn, "/foo", G_OBJECT
      (to_export));
    }

    void start_server(GObject *to_export)
    {
      DBusServer *s;

      s = dbus_server_listen("unix:path=/var/foo", NULL);
      dbus_server_setup_with_g_main (s, NULL);
      dbus_server_set_new_connection_function (s, new_conn_func,
      to_export);
    }

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55729

 dbus/dbus-glib.h    |	2 ++
 dbus/dbus-gobject.c | 16 ++++++++++++++++
 2 files changed, 18 insertions(+)

commit f9056cf5fe5ce67ad0b530c9af1977860231dde2
Author: Dan Williams <dcbw@redhat.com>
Date:	2012-10-07 11:09:10 -0500

    Add dbus_g_connection_open_private() for private D-Bus sockets

    Like dbus_g_connection_open() but for private bus sockets, calling
    dbus_connection_open_private() and ensuring the dbus-glib types are
    initialized.

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55730

 dbus/dbus-glib.h  |  3 +++
 dbus/dbus-gmain.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

commit 2e1ba392a29107c9bf9413113aff7b98a963da21
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 12:36:36 +0100

    Remove declaration of _dbus_gutils_test, which does not exist

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 dbus/dbus-gtest.h | 1 -
 1 file changed, 1 deletion(-)

commit 107bc996d95f0068f7c6144c713819aa1b77c203
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-11-03 12:36:04 +0000

    Flatten _dbus_gmain_test into _dbus_gvalue_test

    It actually only tests _dbus_gtype_from_signature and related things,
    and has nothing to do with main loop integration.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 dbus/dbus-gmain.c  | 42 ------------------------------------------
 dbus/dbus-gtest.c  |  4 ----
 dbus/dbus-gtest.h  |  1 -
 dbus/dbus-gvalue.c | 27 +++++++++++++++++++++++++++
 4 files changed, 27 insertions(+), 47 deletions(-)

commit fc3d2bffd9cbac6002c5aa8c6369129e51dfcf6e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 12:28:38 +0100

    Move _dbus_gvalue_utils_test into a separate binary, it only uses
    public API

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 .gitignore		  |   1 +
 dbus/dbus-gtest.c	  |   4 -
 dbus/dbus-gtest.h	  |   1 -
 dbus/dbus-gvalue-utils.c | 394 --------------------------------------
 test/Makefile.am	  |   2 +
 test/specialized-types.c | 489
 +++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 492 insertions(+), 399 deletions(-)

commit 2a339b850872094d6ebf3c42c6704105ce96a10d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:44:37 +0100

    _dbus_gvalue_utils_test: don't call private API

    dbus_g_type_specialized_init should be, and is, sufficient.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 dbus/dbus-gvalue-utils.c | 1 -
 1 file changed, 1 deletion(-)

commit 0ae4c0d0c3acc63bdf97dde0c29625ff03889856
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:42:36 +0100

    Use more modern assertions in errors test

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 test/errors.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 18a6eb96849b1931f478bfba0823f0c5a7d24fbe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-11-03 12:22:43 +0000

    Turn _dbus_glib_test into a standalone test case, since it only
    tests public API

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 .gitignore	   |  1 +
 dbus/dbus-glib.c  | 29 --------------------
 dbus/dbus-gtest.c |  4 ---
 dbus/dbus-gtest.h |  1 -
 test/Makefile.am  | 37 +++++++++++++++++++++-----
 test/errors.c	   | 79
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 111 insertions(+), 40 deletions(-)

commit 82c724ab629d7aaea7f7461c375407ac41c0c09a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:29:50 +0100

    Remove --with-socket-dir, use /tmp for its only use

    test-profile.c is not run by default anyway, and it hard-codes the
    use of Unix
    sockets which isn't portable off Unix. If you have Unix sockets
    but not
    /tmp, then your platform has worse problems than inability to run
    all dbus-glib tests.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac		  | 9 ---------
 test/core/test-profile.c | 3 +--
 2 files changed, 1 insertion(+), 11 deletions(-)

commit 61081c7ed819a844e26837688347182721922d57
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:25:49 +0100

    Move AC_ARG_ENABLE for checks/assertions closer to where it takes
    effect

    The command line is parsed early on anyway.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 8459facc2c5d7f36849b93e40df81a415f5c40b8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:23:20 +0100

    Remove remnants of DBUS_DISABLE_CHECKS

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit aaddc6c50d961a78e63145a1f40ada28a0fe5109
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:22:41 +0100

    Remove remnants of DBUS_DISABLE_ASSERT

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac		  | 1 -
 test/core/test-profile.c | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 39a1c14556d4f89ae9bd1d63155ee622afe89bfb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-20 11:21:36 +0100

    Remove unused support for "verbose mode"

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac		  | 12 ------------
 test/core/test-profile.c |  6 +-----
 2 files changed, 1 insertion(+), 17 deletions(-)

commit 7ee9f5c9b91c0f3e196bf47e96ec7cc01c0c7509
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 12:29:17 +0100

    Use standard autotools @abs_top_builddir@ to replace
    TEST_SERVICE_BINARY etc.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac					      | 20
 --------------------
 test/core/Makefile.am				      |  2 +-
 test/data/valid-service-files/debug-echo.service.in  |  2 +-
 test/data/valid-service-files/debug-glib.service.in  |  2 +-
 .../valid-service-files/interfaces-test.service.in   |  2 +-
 test/interfaces/Makefile.am			      |  2 +-
 6 files changed, 5 insertions(+), 25 deletions(-)

commit 23ad1e98c62fd31adf06dd1f138be3853855f4a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 12:28:06 +0100

    Remove EXPANDED_LOCALSTATEDIR etc., no longer needed

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40711
    Reviewed-by: Dan Williams <dcbw@redhat.com>

 configure.ac | 55 -------------------------------------------------------
 1 file changed, 55 deletions(-)

commit 1a61c71e4037ebea5db7dc2f0fdceae764e47e17
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-28 12:54:02 +0100

    my_object_unsafe_disable_legacy_property_access: have the right
    signature

    I'm amazed this ever worked.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=51511
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>

 test/core/my-object.c | 6 ++++--
 test/core/my-object.h | 3 ++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit e2ae8f0d14f90162121387173db514dbd4c6ce50
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-25 21:28:34 +0100

    Development version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 807b93bbef4cefd101a7c9456916554a550b6110
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-30 16:18:29 +0100

    Fix documentation upload target for recent gtk-doc

    It previously said docs/ not doc/ (which should have been changed when
    copying this target from Telepathy); and now that gtk-doc builds
    in the
    builddir, we need to copy HTML from there, not from the srcdir.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6cbdf9ed99f82983dd529319475dd02c53ad2aa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-25 18:23:30 +0100

    Fix builds without tests

 test/manual/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit a0dd0c8c240896a5dd205c1dbc51924b9d41f833
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-25 17:26:48 +0100

    Prepare version 0.100

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8b7e4a1c4ae055864e26db4addbcc2dc38ee6963
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-04-16 12:11:38 +0100

    Fix two crashes when dbus_g_proxy_new_for_peer is used on a bus

    The first part of the bug is that when NameOwnerChanged is received
    with
    a dbus_g_proxy_new_for_peer (which has no name) alive, checking
    whether it was affected by the NameOwnerChanged caused a NULL
    dereference and segfault.

    The second part of the bug is that if the last proxy in existence is
    for a peer, when it was unregistered there would be no
    owner_match_rules,
    causing a crash.

    Both are exercised in the new test added here.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41126
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 .gitignore		 |   1 +
 dbus/dbus-gproxy.c	 |   5 +-
 test/core/Makefile.am	 |   3 +
 test/core/peer-on-bus.c | 148
 ++++++++++++++++++++++++++++++++++++++++++++++++
 test/core/run-test.sh	 |   1 +
 5 files changed, 156 insertions(+), 2 deletions(-)

commit 82d45d15088d206f1e1f024215e95301fa04e92c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-04-16 12:10:37 +0100

    Add a utility function to tear down a private connection in tests

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41126
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 configure.ac		     |	1 +
 test/Makefile.am	     |	4 +--
 test/core/Makefile.am	     |	4 ++-
 test/interfaces/Makefile.am |	4 ++-
 test/lib/Makefile.am	     | 19 +++++++++++++
 test/lib/util.c	     | 69
 +++++++++++++++++++++++++++++++++++++++++++++
 test/lib/util.h	     | 32 +++++++++++++++++++++
 7 files changed, 129 insertions(+), 4 deletions(-)

commit 403c5bf4d98fcba83caa94aee96da27128bbf9c8
Author: Matthias Klose <doko@ubuntu.com>
Date:	2012-06-25 17:11:45 +0100

    Fix build error with -Werror=format-security

    Origin: vendor, Ubuntu
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae0ed3e435c550c3fae1a86a1c3cb42da319dff2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 17:42:44 +0100

    Move use of 0 as an error domain into the invalid-usage test

    I think this is invalid, although others might disagree.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 test/core/error-mapping.c   | 26 --------------------------
 test/manual/invalid-usage.c | 25 +++++++++++++++++++++++++
 2 files changed, 25 insertions(+), 26 deletions(-)

commit 92c613b8f429a4fe6c762805f1a4f3588511e6a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 17:35:42 +0100

    Add a manual test for various invalid behaviour

    Most of this has been sitting in a branch since fd.o #30171; fixing
    fd.o #40151, another case of library-user error leading to undefined
    behaviour and a hard-to-diagnose crash, seems a good time to get this
    merged.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 .gitignore		     |	 1 +
 configure.ac		     |	 1 +
 test/Makefile.am	     |	 4 +-
 test/manual/Makefile.am     |	27 ++++
 test/manual/invalid-usage.c | 295
 ++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 326 insertions(+), 2 deletions(-)

commit 539bd92b8703134057c039f965ff7a5b5434c3a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 17:41:35 +0100

    Remove tests in test-dbus-glib which basically just test error mapping

    Also remove the methods on MyObject that only existed to support these
    tests; ThrowError is now versatile enough to implement them all.

    Leave ThrowUnregisteredError as it is, since it violates GError
    expectations (see GNOME#660371), but stop using it in test-dbus-glib -
    it's enough to use it in test-error-mapping.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 test/core/my-object.c		 | 36 ---------------------------------
 test/core/test-dbus-glib.c	 | 45
 -----------------------------------------
 test/core/test-service-glib.xml |  9 ---------
 3 files changed, 90 deletions(-)

commit b0dc0f419b641f4ab8fdd8eaf69f4ed4c2d61159
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 14:56:45 +0100

    Add a new test for error mapping

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 .gitignore		   |   1 +
 test/core/Makefile.am	   |   7 +
 test/core/error-mapping.c | 327
 ++++++++++++++++++++++++++++++++++++++++++++++
 test/core/run-test.sh	   |   1 +
 4 files changed, 336 insertions(+)

commit 5aa25d4f3c44e7f46e95b8d8de64bf63f2c7c42e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 17:23:18 +0100

    MyObject: make ThrowError, AsyncThrowError throw a caller-specified
    error

    This can be used to test arbitrary errors, but only in-process; in
    tests with the service out-of-process, like test-dbus-glib,
    the initial
    error (matching the error they previously threw) will always be used.

    This obsoletes ThrowErrorUnderscore, ThrowErrorMultiWord and
    ThrowNotSupported, but not ThrowUnregisteredError due to some strange
    assumptions about the validity of GError domains in that method
    (see GNOME#660731).

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 test/core/my-object.c | 49
 +++++++++++++++++++++++++++++++++++--------------
 test/core/my-object.h |  5 +++++
 2 files changed, 40 insertions(+), 14 deletions(-)

commit df3949806818ba0eab495fcaad2c7f3ad38007c7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 16:14:52 +0100

    test-dbus-glib.c isn't GTest yet, but add bug numbers anyway

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 test/core/test-dbus-glib.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ead4ef065f700a4b586e78400789a7a18c856cc4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 14:57:02 +0100

    Add copyright/licensing information to test-dbus-glib

    I've tried to dig up the copyright holders from git history; possibly
    incomplete, but none of them cared enough to add their own copyright
    notices, so this is the best we'll get.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 test/core/test-dbus-glib.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 309bce6d7965037bc6f1827715d2372ae19c98d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 13:23:29 +0100

    Form a valid D-Bus error name if an unmapped error has a negative code

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-gobject.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ffd32e448a76045696d81a82fec9aeac7dd5e64b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-28 12:20:16 +0100

    If an error code is out of range for its domain, warn about it

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-gobject.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit a31371cb5852c485b85926125988c0a170a640ca
Author: David Woodhouse <dwmw2@infradead.org>
Date:	2011-09-28 12:16:01 +0100

    Don't crash in gerror_domaincode_to_dbus_error_name if code is out
    of range

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=40151
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gobject.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 86ba4b0b8591b882803be1a064df4c213349fba0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-22 18:25:02 +0100

    dbus_g_value_parse_variant: fix several GVariant ref leaks

    g_variant_get_child_value() (and hence g_variant_get_variant(),
    which is
    a simple wrapper) returns a ref to the child; we were assuming
    it didn't.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=41125
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 dbus/dbus-gvalue-parse-variant.c | 56
 +++++++++++++++++++++++++++-------------
 1 file changed, 38 insertions(+), 18 deletions(-)

commit 51222609f1af2eda0c223881dda3985435c3ad3f
Author: Colin Walters <walters@verbum.org>
Date:	2012-01-08 11:29:33 -0500

    test-service-glib: Fix build with GLib 2.30

    Only <glib.h> can be included directly.

 test/core/test-service-glib.c | 1 -
 1 file changed, 1 deletion(-)

commit 0215b0af4c95c9b9fc79ada5b99882f1261e2644
Author: Colin Walters <walters@verbum.org>
Date:	2012-01-08 11:28:10 -0500

    autogen.sh: Honor NOCONFIGURE=1 environment variable

    http://people.gnome.org/~walters/docs/build-api.txt

 autogen.sh | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 6a8daa9569a4a6c2610758b122f46f181ce52448
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:	2011-04-20 12:14:23 -0400

    Support building on Android

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=42532

 .gitignore	  |  1 +
 Android.mk	  | 35 +++++++++++++++++++++++++++++++++++
 dbus/Makefile.am |  9 +++++++++
 3 files changed, 45 insertions(+)

commit dfdb0de78563a01c3d722e1de83d85e90163feaa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-30 16:12:29 +0100

    Micro version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f669a4aa6c7caaf6cbf9395ed14a1a357c4f6004
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-30 12:06:50 +0100

    Prepare 0.98

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1803b6cf35876247bb3e577bec9be8eed8b1b825
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-08-17 19:28:04 +0100

    invoke_object_method: simplify how we return

    Based on review feedback from Cosimo.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767

 dbus/dbus-gobject.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 83bdd09f6124289dd19556da9334906f28064838
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-08-17 19:26:46 +0100

    dbus-gobject: centralize death-by-OOM and use oom() instead of goto

    You can't recover from OOM (in GLib-land) so there's no point in
    complicating the code for the reader.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767

 dbus/dbus-gobject.c | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit 705761ad983392c311c3e66c3ddf7e44e0efbc6f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-27 18:42:33 +0100

    Fix various minor documentation bugs

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.c		      |  2 +-
 dbus/dbus-glib.h		      |  2 +-
 dbus/dbus-gmain.c		      | 10 +++++-----
 dbus/dbus-gobject.c		      | 33
 +++++++++++++++++++--------------
 dbus/dbus-gproxy.c		      | 33
 ++++++++++++++++++++++++++++-----
 dbus/dbus-gvalue.c		      |  2 +-
 doc/reference/dbus-glib-sections.txt |  6 +++++-
 7 files changed, 60 insertions(+), 28 deletions(-)

commit 0d058307cb914fa61e809b9e0500ac139e286ec6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-27 17:47:03 +0100

    specialized types: improve documentation and document more things

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-gtype-specialized.c	      | 436
 ++++++++++++++++++++++++++++++-----
 dbus/dbus-gtype-specialized.h	      |   6 +-
 doc/reference/dbus-glib-sections.txt |   1 +
 3 files changed, 388 insertions(+), 55 deletions(-)

commit b3af6fdb643f9293d156c95860270a997b9f6843
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-27 17:50:07 +0100

    dbus_g_type_collection_value_iterate, etc.: check that the type
    is suitable

    Otherwise we'd probably crash when we cast the vtable to an
    inappropriate
    type, and call its methods with inappropriate arguments as a result.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-gtype-specialized.c | 29 +++++++++++++++++++++++++----
 1 file changed, 25 insertions(+), 4 deletions(-)

commit 3183d79b119d0296924602f19d9fc2a58a7bd597
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-27 17:47:46 +0100

    dbus_g_type_collection_get_fixed: check preconditions on the type
    and vtable

    Previously, if it wasn't a collection or didn't have the
    fixed_accessor,
    we'd just segfault. Not ideal.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-gtype-specialized.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 7fcaf6c8c6d0e6ade0e8d5460b5311b564a24d3f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-27 17:41:36 +0100

    dbus-gtype-specialized: warn if vtables have missing callbacks

    It's just about conceivable that they wouldn't segfault, if
    application
    authors carefully avoided the unimplemented functionality... but
    still.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-gtype-specialized.c | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 58ed26382bf23fe9fb592d38b5be2c2c7b2e77e2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 16:17:10 +0100

    Tidy up docs for DBusGError and its pseudo-methods

    * attach the introductory doc-comments to the enum and macro names,
      not the internal function
    * remove docs for method parameters which didn't actually exist
    * more cross-references
    * make the domain macro visible in the documentation index

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.c		      | 33
 ++++++++++++++++++---------------
 doc/reference/dbus-glib-sections.txt |  1 -
 2 files changed, 18 insertions(+), 16 deletions(-)

commit 4b6482d5987095b474c9582e7415bf94a154d9b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-27 16:25:21 +0100

    Make gtk-doc DOC_SOURCE_DIR absolute, fixing out-of-tree docs

    I used an absolute path to avoid differing behaviour with older
    versions
    of gtk-doc, where DOC_SOURCE_DIR was relative to the *source*
    directory.

    Also resync doc/reference/Makefile.am with gtk-doc's example.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 doc/reference/Makefile.am | 51
 +++++++++++++++++++++++++++++++++++------------
 1 file changed, 38 insertions(+), 13 deletions(-)

commit 83471e869e464c63063e9e254bc8c40b25de03b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 16:04:29 +0100

    DBusGProxy: be more pedantic about boolean returns

    Returning false doesn't strictly imply that the error is set;
    if you're
    being pedantic enough, it's really a tri-state where TRUE indicates
    success, FALSE indicates failure, and calling the function incorrectly
    results in undefined behaviour (currently a critical warning and
    returning FALSE).

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: NB#218973

 dbus/dbus-gproxy.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c6aa1d7dbdf04501495e4a3b4cfe6e7d808af6dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 15:57:44 +0100

    DBusGProxy: misc documentation tidying

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-gproxy.c		      | 37
 +++++++++++++++++++++++++++---------
 doc/reference/dbus-glib-sections.txt |  4 ++++
 2 files changed, 32 insertions(+), 9 deletions(-)

commit c568ace5ee6a9c13f748d876d69ad50234b2bc78
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 15:57:15 +0100

    DBusGProxy: make argument names in declaration, definition and
    docs consistent

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.h   |  8 ++++----
 dbus/dbus-gproxy.c | 59
 ++++++++++++++++++++++++++----------------------------
 2 files changed, 32 insertions(+), 35 deletions(-)

commit dc766e475f3a42872edbd9c3bcc98714dde8bff7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 15:55:47 +0100

    DBusGProxy: mark struct contents as private

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.h | 2 ++
 1 file changed, 2 insertions(+)

commit 9d1cce7c64662733f0b48e52e4d5a1e805a3e246
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 15:40:40 +0100

    Remove declaration of dbus_pending_call_get_g_type, which doesn't
    exist

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib-lowlevel.h	      | 8 --------
 doc/reference/dbus-glib-sections.txt | 2 --
 2 files changed, 10 deletions(-)

commit 35e049459945a22b87cc61c05bd903790f05cf40
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 16:17:34 +0100

    Add DBUS_TYPE_CONNECTION, DBUS_TYPE_MESSAGE to the docs, and document
    them better

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.c		      | 15 +++++++++++----
 doc/reference/dbus-glib-sections.txt |  2 +-
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 43a4bf8b038c08d6b8c565495cbf69433bc2dcc6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 16:15:43 +0100

    Tidy up docs for DBusGMessage

    * document the instance struct
    * make argument names match the headers
    * document the GType macro, not the function it calls, and mention it
      in the documentation (since this is a boxed type, so it's
      non-obvious)

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.c		      | 28 ++++++++++++++++++----------
 doc/reference/dbus-glib-sections.txt |  2 +-
 2 files changed, 19 insertions(+), 11 deletions(-)

commit 53ac9ee390e173f8e63f276d8c7e211e4fadca4b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 16:34:38 +0100

    Clean up docs for DBusGConnection

    * introductory doc-comment for the (pseudo-)class
    * attach the doc-comment for the GType to the macro, not the internal
      function
    * rename function parameters to match what the header file says

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 dbus/dbus-glib.c		      | 26 +++++++++++++++++---------
 doc/reference/dbus-glib-sections.txt |  2 +-
 2 files changed, 18 insertions(+), 10 deletions(-)

commit be937e037a6c076cf650bb79aba9c1138da39511
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 16:42:19 +0100

    Ignore non-API source files correctly

    gtk-doc only cares about the basename of the files.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 doc/reference/Makefile.am | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 053d41e56050706b512562f13b9ebde7dac3c60b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 16:42:44 +0100

    Remove stray empty subsection

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 doc/reference/dbus-glib-sections.txt | 3 ---
 1 file changed, 3 deletions(-)

commit 3d02f22d475286db8160604755ee85d24b133005
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 16:13:24 +0100

    Mention which header to include in the gtk-doc

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 doc/reference/dbus-glib-sections.txt | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 30b6a106ed590c0fd97a783998a19779002e65d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 16:13:07 +0100

    Add some missing symbols to the docs

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37793
    Bug-NB: related to NB#218973

 doc/reference/dbus-glib-sections.txt | 6 ++++++
 1 file changed, 6 insertions(+)

commit a4bc263721fc5a80a78c6b551f35d281c22694ff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-21 18:14:46 +0100

    Micro version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80e37faeac62a4694514410ec17c2ab4a75d50e6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-09-21 17:36:11 +0100

    dbus-glib 0.96

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4bc172fd5f31123ee883c4027e729b38c2777d7d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 17:43:15 +0100

    test-dbus-glib: make lose() abort, and make lose_gerror() more
    informative

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 test/core/test-dbus-glib.c | 21 ++++-----------------
 1 file changed, 4 insertions(+), 17 deletions(-)

commit 9e97f9744e7ffeb04a105087da6143931195ce77
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 16:25:15 +0100

    get_all_object_properties: if _dbus_gvalue_marshal fails, bail out

    This isn't necessarily OOM: _dbus_gvalue_marshal can fail due to
    programming errors. If so, raise a critical warning, then (if
    that wasn't
    fatal) return a D-Bus error to be sent to the caller.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit bfd1c05174b86c9dfcf1b22a4fa0b2c552dfc902
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 18:02:47 +0100

    get_all_object_properties: note which operations can only fail via OOM

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 30198a2368c9cd19db4b8f595bfad7a719ada7e9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 16:21:12 +0100

    get_all_object_properties: skip invalidly-named properties, with
    a critical

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit a2a3315ac9747dcc7dda860ceb1d1f94ab56d29b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-08-17 19:15:05 +0100

    dbus-gobject: add and use connection_send_or_die to check for OOM

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Conflicts:
	dbus/dbus-gobject.c

 dbus/dbus-gobject.c | 40 +++++++++++++++++++++++++---------------
 1 file changed, 25 insertions(+), 15 deletions(-)

commit 22262581b0956f69f321b9e2eb702e3f15b49823
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:50:38 +0100

    emit_signal_for_registration: assert that signal headers are all valid

    This is an assertion, not a return_if_fail, because we already checked
    the object path in dbus_g_connection_register_g_object and the others
    in export_signals.

    After these checks, dbus_message_new_signal can really only fail
    on OOM.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 4 ++++
 1 file changed, 4 insertions(+)

commit cccf1e6672fba6b649fe02082c2f087cdf022dcd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:49:18 +0100

    export_signals: check interface, signal names for validity

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit d09dfcb130be0a17f337bd198a9fb43aab7dfa28
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:43:30 +0100

    object_registration_message: check for OOM when a property is absent

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7b92ac1bfd1e50e842549dbb14b845478d114652
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:42:49 +0100

    object_registration_message: make logic/assertions slightly clearer

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit b5b27e4ca0d8ca250fa7649bcf2613e8d889a722
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:42:29 +0100

    object_registration_message: handle remote caller errors better

    If the remote process sends us a wrong message, that's its fault, not
    ours; we should send back a comprehensible D-Bus error, and not spam
    to stderr.

    Previously, in each of these cases libdbus would have sent back
    NoReply,
    because we declined to handle the method call.

    One case that's still wrong is passing extra arguments to Get,
    GetAll or
    Set, like so:

	Get("com.example.Iface", "MyProperty", "extra")
	Set("com.example.Iface", "MyProperty", Variant("foo"), "extra")
	GetAll("com.example.Iface", "extra")

    dbus-glib has historically warned, ignored the extra argument(s)
    and sent
    back a reply as if they hadn't been there, whereas a stricter
    implementation (like telepathy-glib's TpDBusPropertiesMixin) would
    have sent back an error reply and done nothing.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit e5cf2be0e03af4df19618076015cc2a6556ca5d4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:36:09 +0100

    get_object_property: add brief documentation

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 5 +++++
 1 file changed, 5 insertions(+)

commit d3aa6c7942cce0cf7b602c6b0854488938f0548e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:25:55 +0100

    get_object_property: unwind on errors, and avoid returning NULL

    Also treat all errors here as programming errors (because this method
    should never fail), upgrading them from warning to critical; return a
    D-Bus error reply anyway, to be nicer to our callers.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 33 +++++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 10 deletions(-)

commit 98b3b3f323fd4001be0630c3e0a1dc4fb83cdeab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 15:21:56 +0100

    check_property_access: centralize error handling (and check for OOM)

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 69
 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 43 insertions(+), 26 deletions(-)

commit 6293849bf0469ce8d6d122b38db5091c21304a30
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-08-17 19:11:14 +0100

    dbus-gobject: check for NULL when producing messages

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Conflicts:
	dbus/dbus-gobject.c

 dbus/dbus-gobject.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8ec3166b6a40508a91144efedc10dcb32964498e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-05 14:56:16 +0100

    dbus-gobject: factor out reply_or_die, error_or_die and add
    error-checking

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35766
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 83
 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 50 insertions(+), 33 deletions(-)

commit 7a1abf5243fe5b7adf7211fd7d8c82851f448192
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-04 16:52:58 +0100

    invoke_object_method: if marshalling an out argument fails, discard
    message

    We shouldn't report this as OOM, because it probably wasn't (it's much
    more likely to be programming error); we should also continue
    through the
    arguments, so that we don't leak them.

    By abandoning the message as soon as we detect a programming error,
    we can use reply == NULL as an indicator of whether to keep appending.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 47 ++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 36 insertions(+), 11 deletions(-)

commit 4ba637e2ae32b2daf224265c22cc8b43cf0a0bbf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-04 15:45:07 +0100

    invoke_object_method, dbus_g_method_return_error: handle sending
    failure

    I just made it fatal, since it's either programming error or OOM.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit cd7e9a1c6dd0eef6e867cac80339a38758d0cd6f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-04 15:44:28 +0100

    gerror_to_dbus_error_message: guarantee to return non-NULL

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit c239a810543bde85dd458012612874cdc81a4151
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-04 15:41:32 +0100

    invoke_object_method: if dbus_message_new_method_return fails,
    fail hard

    There's no point in doing graceful unwinding here, since it really
    shouldn't happen.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 480c480b024a77dd8f4efecdb6639d45de9767ce
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-04 15:40:40 +0100

    arg_iterate: document

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35767
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit 36b55c3aac5de873a69c9bd0fbe003200a03ba32
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-16 15:33:01 +0100

    dbus_g_proxy_manager_unregister: if GetNameOwner failed, don't assert

    got_name_owner_cb never adds the proxy to the unassociated_proxies
    list
    if there is a D-Bus error other than NameHasNoOwner.

    Based on a patch from Janne Karhunen, for Maemo.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=38408
    Bug-NB: NB#116862
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gproxy.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 18705c42ca6b6a583b64451055eec4dad3aaa3b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 14:40:28 +0100

    Add a regression test for fd.o #38406

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=38406
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 .gitignore		|   1 +
 test/core/Makefile.am	|   7 ++
 test/core/proxy-peer.c | 274
 +++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 282 insertions(+)

commit 5d800ca9352b40354a0f4a905c1c0b111b81f030
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 14:53:09 +0100

    MyObject: register marshallers so individual tests don't have to

    These marshallers are actually dual-use: they're used to call certain
    methods on MyObject, and also to bind to its signals.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=38406
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 test/core/Makefile.am	    |  4 +++-
 test/core/my-object.c	    | 12 ++++++++++++
 test/core/my-object.h	    |  1 +
 test/core/test-dbus-glib.c | 11 ++++-------
 4 files changed, 20 insertions(+), 8 deletions(-)

commit 70e09208ab13812037b3cf133df312aacd24d036
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 12:18:57 +0100

    DBusGProxy: deal with errors in DBUS_G_VALUE_ARRAY_COLLECT_ALL

    G_VALUE_COLLECT can fail (admittedly, it's a programming error if it
    does). Previously, we leaked the resulting g_malloc'd string; now we
    emit a critical warning, free it, and abort the call.

    Based on patches from Kimmo Hämäläinen and Christian Dywan
    in Maemo's
    dbus-glib.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=38406
    Bug-NB: NB#86280
    Bug-NB: NB#180486 (CID-34419 to CID-34424 inclusive)
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gproxy.c | 93
 ++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 66 insertions(+), 27 deletions(-)

commit 2731a2f7f824f9c1cd11dd14e88ff1e0875f280b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 12:15:20 +0100

    dbus_g_proxy_call: simplify error handling now that call_id may be 0

    There's no need to special-case it any more - we can just use
    dbus_g_proxy_end_call_internal and rely on it to cope.

    This reverts the fix for fd.o #12675, since the commit before this one
    is more general.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=38406
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gproxy.c | 15 +++------------
 1 file changed, 3 insertions(+), 12 deletions(-)

commit 1b38cecf7bbdb8a99ef13616b8c661dfb0bc060f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-17 12:06:11 +0100

    DBusGProxy: cope gracefully with call_id == 0

    As well as happening on a programming error or OOM (which both provoke
    critical warnings), dbus_g_proxy_begin_call_internal() can
    legitimately
    fail if we got disconnected from D-Bus (so can't send any more),
    but are
    still working through our backlog of incoming messages (so we haven't
    got round to the Disconnected message yet, so the DBusGProxy hasn't
    emitted ::destroy).

    fd.o #12675 fixed dbus_g_proxy_call(), but
    dbus_g_proxy_call_with_timeout()
    and the asynchronous API still need similar treatment.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=38406
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gproxy.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit af31c9c21efeec8a38c73de24d82a2038d80f74e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-08-03 18:38:49 +0100

    registrations test: fix race condition in adding match rules

    If you don't block waiting for the reply to AddMatch, and you're
    using two
    connections to the bus, then messages sent from connection 2 might not
    be matched by connection 1, because they arrive before the AddMatch
    call
    from connection 1. This manifests itself as the /registrations/twice
    test *sometimes* failing (dependent on timing).

    Only tests with two parallel bus connections need this, but to
    be safe,
    I've added it throughout this test.

    Reviewed-by: Vivek Dasmohapatra <vivek@collabora.co.uk>

 test/core/registrations.c | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

commit 6d06dd358b22057dca1808c1432e620998202c41
Author: Tim Waugh <twaugh@redhat.com>
Date:	2011-07-22 15:13:42 +0100

    dbus-binding-tool: fixed "pretty" mode output for methods.

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=39475

 dbus/dbus-glib-tool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e294ba3e579db1c12158ce95ad6ff34391cf571a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-16 18:12:27 +0100

    Show warning if marshalling in dbus_g_method_return fails

    Based on a patch from Christian Dywan <christian.dywan@lanedo.com>.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=29884
    Bug-NB: NB#180486
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

 dbus/dbus-gobject.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit cce0887278ae105f010d35636fc5f6d654c2d41f
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-12-14 15:07:27 +0100

    remove minor dead code in dbus-gparser

    There's no way retval can be false at this location.

    Bug-NB: NB#180486 CID-643
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gparser.c | 3 ---
 1 file changed, 3 deletions(-)

commit f446cb80f91b4cf584883b47477295d07dd32eac
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:	2011-06-02 17:16:42 +0100

    remove remaining inclusions of <glib/gi18n.h> from library

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36428
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-binding-tool-glib.c | 1 -
 dbus/dbus-gproxy.c	       | 1 -
 2 files changed, 2 deletions(-)

commit 2a85bd434e6d8dba9615a53d288a0a72d6b5e0cf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-02 13:50:20 +0100

    Regression test for fd.o #37852

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37852
    Reviewed-by: Colin Walters <walters@verbum.org>

 test/core/my-object.c		 | 17 +++++++++++
 test/core/my-object.h		 |  2 ++
 test/core/registrations.c	 | 68
 +++++++++++++++++++++++++++++++++++++++++
 test/core/test-service-glib.xml |  4 +++
 4 files changed, 91 insertions(+)

commit 3e0828f57c3925ea9b63d22ab82d991a0fea0536
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-02 13:49:51 +0100

    Fix regression in marshalling objects as object paths

    This regressed while fixing fd.o #36811. NetworkManager apparently
    uses
    this idiom.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37852
    Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628890
    Tested-by: Michael Biebl <biebl@debian.org>
    Reviewed-by: Colin Walters <walters@verbum.org>

 dbus/dbus-gobject.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f534276eb20d8035566a206d1e38fd651a1eeab9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 17:03:59 +0100

    registrations test: only listen for signals, not all messages

    Otherwise, we'd reply with an error to messages not intended for us.

    Reviewed-by: Colin Walters <walters@verbum.org>

 test/core/registrations.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 867d670daad983f8b4416528e69d3ad2e0596e88
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 19:44:42 +0100

    0.95

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 469df67525a9e5363644ac730ac8ec7580a8ebe0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 19:07:30 +0100

    Prepare 0.94 release

 configure.ac | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 5a780af947f0141f4e0524aaf62fdd06abe6cd5f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-04 13:46:11 +0100

    dbus-binding-tool: forbid ReturnVal annotation after the first
    OUT <arg>

    It has never actually worked correctly (invoke_object_method would
    always
    treat the ReturnVal as if it had been the first OUT argument),
    so let's
    only allow the situation that worked in practice.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=35952
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-binding-tool-glib.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit a8605cf4c6c9dbc4a933dd744d339744e0102765
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:33:48 +0100

    Fix compiler warnings in dbus-binding-tool

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-glib-tool.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0c162cc63b073a9f50dd11ea99db72fe95a16064
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:33:07 +0100

    Remove all support for Doxygen

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=10890

 Doxyfile.in	| 180
 ---------------------------------------------------------
 Makefile.am	|   2 -
 README		|   1 -
 configure.ac	|  34 +----------
 doc/api/README |   3 -
 5 files changed, 1 insertion(+), 219 deletions(-)

commit 6e20efb5c4c094915d2b6e86c3cab486a0562a95
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:32:58 +0100

    Use single star in doc-comments not intended for gtk-doc

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=10890

 dbus/dbus-glib.h	   | 4 ++--
 dbus/dbus-gloader-expat.c | 2 +-
 dbus/dbus-gproxy.c	   | 2 +-
 dbus/dbus-gtest.c	   | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 1472d195bd201d219aab5bc4b31d80d8340cee5c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:32:06 +0100

    Remove Doxygen droppings from source code

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=10890

 dbus/dbus-gidl.c    |	4 ----
 dbus/dbus-gidl.h    |	4 ----
 dbus/dbus-glib.c    |	3 +--
 dbus/dbus-gmain.c   | 22 +++-------------------
 dbus/dbus-gobject.c |	3 +--
 dbus/dbus-gparser.c |	4 ----
 dbus/dbus-gproxy.c  | 26 ++------------------------
 dbus/dbus-gthread.c |	6 ------
 dbus/dbus-gutils.c  |	4 ----
 dbus/dbus-gutils.h  |	4 ----
 dbus/dbus-gvalue.c  |	5 +----
 11 files changed, 8 insertions(+), 77 deletions(-)

commit 4c3a346d296789cf3a81f6cc98f64d84ea892247
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:24:36 +0100

    Remove _dbus_g_proxy_test, which isn't called and doesn't do anything

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37790

 dbus/dbus-gproxy.c | 17 -----------------
 1 file changed, 17 deletions(-)

commit cded5996b02ff937a73654788d1f3a7ca46ca0a9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:24:29 +0100

    Remove _dbus_gutils_test, which didn't test anything

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37790

 dbus/dbus-gtest.c  |  6 +-----
 dbus/dbus-gutils.c | 17 -----------------
 2 files changed, 1 insertion(+), 22 deletions(-)

commit d81722def291666a3c557a18d66be061f8f55e31
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:24:22 +0100

    _dbus_gidl_test: remove unused function which does nothing

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37790

 dbus/dbus-gidl.c | 17 -----------------
 1 file changed, 17 deletions(-)

commit 1f371d3c75a5c2e9979350380e4243e3c445e093
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:23:45 +0100

    dbus-glib-tool: remove regression-test boilerplate which does nothing

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37790
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-glib-tool.c | 48
 ------------------------------------------------
 1 file changed, 48 deletions(-)

commit 8abfa07b8acd2d8527785db3711d8a88a213a60e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-06-01 17:18:52 +0100

    dbus-binding-tool: clean up temporary file on error

    This fixes distcheck, which otherwise fails because temporary
    files are
    left over after distclean. We could delete them with the build system,
    but leaving them behind is a bug, so...

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37812
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-glib-tool.c | 78
 ++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 58 insertions(+), 20 deletions(-)

commit d5b9aa101d61bcd2321f0266fa638b644e4cba96
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 14:35:01 +0100

    Remove useless HAVE_GLIB conditional - GLib is mandatory

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37789

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 601b51279e7fbb08ff6ce8c98eaf4bcee21d46a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 14:40:12 +0100

    Remove unused DBUS_DAEMONDIR

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37789

 configure.ac | 10 ----------
 1 file changed, 10 deletions(-)

commit 1a966d070e71378590fb0b64c5ec7a2e250d397b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 14:39:57 +0100

    Remove vestigial dbus-glib-error-*.h and the machinery to generate
    them

    This was the only use of DBUS_INCLUDEDIR, so remove that too.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37789

 .gitignore			     |	4 ----
 configure.ac			     |	2 --
 dbus/Makefile.am		     | 16 ++--------------
 dbus/make-dbus-glib-error-enum.sh   |	2 --
 dbus/make-dbus-glib-error-switch.sh |	2 --
 5 files changed, 2 insertions(+), 24 deletions(-)

commit 98d7cb8c869b53686a742fb48d1f189c74ff1484
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 14:33:18 +0100

    Simplify the check for dbus-1

    As in commit 0f782b4, omitting the action-if-found and
    action-if-not-found
    results in much better error messages if this mandatory dependency
    isn't
    found.

    Nothing checks HAVE_DBUS (as they shouldn't - it's mandatory!),
    so there's
    no point in keeping that either.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37789

 configure.ac | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit b00d53dd647cf456ddb67c1dfdf44a8d56be90b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 18:35:41 +0000

    Add more auto-generated gtkdoc droppings to .gitignore

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37789

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit bd92f266609fef162b6028fd249250b0ab9ae689
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-31 14:46:33 +0100

    Remove support for i18n completely

    As far as I can tell, dbus-glib has never actually been translated
    into
    another language, or even had the necessary infrastructure so
    people could
    do that. The translated strings are all low-level errors in
    "programmer
    English" anyway, and most of them only make sense to D-Bus experts.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36428

 configure.ac		       | 25 +------------------
 dbus/dbus-binding-tool-glib.c |  8 +++----
 dbus/dbus-glib-tool.c	       | 35 ++++++++++-----------------
 dbus/dbus-gparser.c	       | 56
 ++++++++++++++++++++-----------------------
 dbus/dbus-gproxy.c	       |  8 +++----
 dbus/dbus-gvalue.c	       | 41 ++++++++++++++++---------------
 6 files changed, 68 insertions(+), 105 deletions(-)

commit c37bd4357d50d1cd683ef04f05ee427c9a0f7e9f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 14:43:15 +0100

    Remove i18n macros from files where they're unused

    dbus-glib-tool (dbus-binding-tool) and dbus-gparser are theoretically
    localizable, but the library doesn't make any use of gettext.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36428

 dbus/dbus-glib.c  | 5 -----
 dbus/dbus-gmain.c | 4 ----
 2 files changed, 9 deletions(-)

commit e8a4f0496d0eec10fc9c76e0ef20e761bb2256c6
Author: Dan Williams <dcbw@redhat.com>
Date:	2011-05-31 11:25:59 -0500

    Log error message from failed object registration

    See https://bugzilla.redhat.com/show_bug.cgi?id=708686 for a case
    of this; it
    would be extremely helpful to figure out what the error actually
    was since it
    appears not to be a double-registration or other such issues after
    inspection
    of nm-applet and libnm-glib.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37795

 dbus/dbus-gobject.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit eeb1c50aa03a95c39487e9331107142f27412958
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-20 16:41:28 +0100

    Remind maintainers to update the libtool versioning

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=22854
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 HACKING | 1 +
 1 file changed, 1 insertion(+)

commit 9e2031148fd0ee114ec67c681d2b9bcfd84cdaa4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-20 16:41:00 +0100

    add a Makefile rule to upload a tarball and up-to-date docs

    Simplified from telepathy-glib, which has more elaborate machinery to
    automate releases.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=26952
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 HACKING     |	3 ++-
 Makefile.am | 12 ++++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 61f48c290176c007ff0aef6ca4d752491763e4b0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-30 15:41:27 +0100

    Force a full rebuild for new gcc versions if gcov is enabled

    This avoids a lot of "Version mismatch - expected 406p got
    405*". Because
    we're changing the content of each file after preprocessing, it even
    defeats ccache, which is desirable here - otherwise we'd get old
    versions
    of the profiling code being resurrected from the cache.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37060
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 configure.ac | 17 ++++-------------
 1 file changed, 4 insertions(+), 13 deletions(-)

commit 0f320c5224fe39df44648ac75ecce9e0a01079d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-30 15:41:01 +0100

    Include config.h in generated C files, and regenerate dbus-gmarshal.c

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37060
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 dbus/Makefile.am			| 3 ++-
 dbus/dbus-gmarshal.c			| 7 +++++--
 dbus/examples/statemachine/Makefile.am | 4 +++-
 test/core/Makefile.am			| 4 +++-
 4 files changed, 13 insertions(+), 5 deletions(-)

commit f91828abb160e44b53a32823516d55d8a5d634bc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-30 15:39:28 +0100

    Consistently include config.h in all non-generated .c files

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37060
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 dbus/dbus-gidl.c				  | 2 ++
 dbus/dbus-gloader-expat.c			  | 2 ++
 dbus/dbus-gparser.c				  | 3 +++
 dbus/dbus-gproxy.c				  | 3 +++
 dbus/dbus-gthread.c				  | 2 ++
 dbus/dbus-gtype-specialized.c			  | 2 ++
 dbus/dbus-gvalue-parse-variant.c		  | 2 ++
 dbus/examples/example-client.c			  | 2 ++
 dbus/examples/example-service.c		  | 2 ++
 dbus/examples/example-signal-emitter.c		  | 2 ++
 dbus/examples/example-signal-recipient.c	  | 2 ++
 dbus/examples/statemachine/statemachine-client.c | 2 ++
 dbus/examples/statemachine/statemachine-server.c | 2 ++
 dbus/examples/statemachine/statemachine.c	  | 2 ++
 test/core/30574.c				  | 2 ++
 test/core/peer-client.c			  | 2 ++
 test/core/peer-server.c			  | 2 ++
 test/core/test-dbus-glib.c			  | 2 ++
 test/core/test-gvariant.c			  | 2 ++
 test/core/test-service-glib.c			  | 2 ++
 test/core/test-thread-client.c			  | 2 ++
 test/core/test-thread-server.c			  | 2 ++
 test/core/test-types.c				  | 2 ++
 test/core/test-variant-recursion.c		  | 2 ++
 test/interfaces/test-client.c			  | 2 ++
 test/interfaces/test-objects.c			  | 2 ++
 test/interfaces/test-server.c			  | 2 ++
 test/test-service.c				  | 2 ++
 28 files changed, 58 insertions(+)

commit 6d6d9a61e47f5bc28b5d61ae0d6cb072a81b5569
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-13 19:00:41 +0100

    dbus_g_proxy_add_signal: document error cases

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36216
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 dbus/dbus-gproxy.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 52f4e09d49551f3a8ece6578a6cb6e016c03a9d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-10 12:00:15 +0100

    dbus-gobject: check various preconditions for methods

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36811

 dbus/dbus-gobject.c | 29 ++++++++++++++++++++++++++---
 1 file changed, 26 insertions(+), 3 deletions(-)

commit 6a61c922cedad9f5af5c32a0d783e9fbd53f3487
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 12:52:25 +0100

    dbus-gobject: move weakref to ObjectExport, with ObjectRegistration
    pointing there

    This has the following results:

    * each exported object only needs one weak ref to itself, however many
      times it is registered
    * because the ObjectRegistration now points to the ObjectExport,
      it can always remove itself from the list of registrations even
      if the
      actual object has been disposed, avoiding a leak (fd.o #36811)

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36811

 dbus/dbus-gobject.c | 89
 +++++++++++++++++++++++++++++++++++------------------
 1 file changed, 59 insertions(+), 30 deletions(-)

commit f07cf89fd36aebe5bd32f9e7cff13b5697365917
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 12:25:18 +0100

    Add a regression test for removing all registrations and starting
    again

    This has been confirmed to fail when the previous commit is reverted.

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36811

 test/core/registrations.c | 64
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

commit c3c6f8365f5074f3f59b66c5b4ece1feb214be23
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 12:24:35 +0100

    dbus_g_connection_register_g_object: only hook onto signals on
    first use

    This fixes a bug in which an empty list of registrations was
    considered
    to be synonymous with the object never having been exported, resulting
    in this failure mode:

    * register object at n locations
      - the first time, export_signals() is called
    * unregister all of those locations
    * register object at a new location
      - export_signals() is wrongly called again
    * emit a signal
      - the D-Bus signal gets emitted twice

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36811

 dbus/dbus-gobject.c | 48 ++++++++++++++++--------------------------------
 1 file changed, 16 insertions(+), 32 deletions(-)

commit 323d5adb48f8630024f2b22172f10684508bd2a8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 10:47:56 +0100

    dbus_g_connection_register_g_object: attach ObjectExport first

    This means we no longer need the unnecessarily subtle "steal and
    put back"
    pattern.

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36811

 dbus/dbus-gobject.c | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit c9961279c5ac667d4ddca98cbd3a3dfb4f1d8705
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 10:45:58 +0100

    dbus-gobject: wrap the GSList of registrations in a simple struct

    For simplicity, the ObjectExport struct isn't freed until the object
    is actually destroyed, even if there are no more registrations.

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36811

 dbus/dbus-gobject.c | 77
 +++++++++++++++++++++++++++++++++++------------------
 1 file changed, 51 insertions(+), 26 deletions(-)

commit 357fef2267d4243435e0d26ae659d21bd6bcde96
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 16:12:03 +0000

    test/interfaces: test annotated arguments

    The D-Bus Specification doesn't actually allow this, but dbus-glib has
    always supported it, and indeed understands a couple of <arg>
    annotations
    itself - org.freedesktop.DBus.GLib.ReturnVal and ….DBus.GLib.Const.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27598
    Reviewed-by: Robert Ancell <robert.ancell@canonical.com>

 test/interfaces/valid-annotations.xml | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit b04f6b33224973cefec959a9fe0f7de655b93d0e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 16:07:39 +0000

    test/interfaces: check that some invalid annotations aren't allowed

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27598
    Reviewed-by: Robert Ancell <robert.ancell@canonical.com>

 .gitignore				       |  2 ++
 test/interfaces/Makefile.am		       |  7 ++++++-
 test/interfaces/invalid-annotated-node.xml    |  8 ++++++++
 test/interfaces/invalid-nested-annotation.xml |  8 ++++++++
 test/interfaces/run-test.sh		       | 20 +++++++++++++++++++-
 5 files changed, 43 insertions(+), 2 deletions(-)

commit e4a25a148703ef7ff13e5d87276b5d6fc395a57d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 16:01:39 +0000

    Test that interfaces, methods, properties, signals can be annotated

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27598
    Reviewed-by: Robert Ancell <robert.ancell@canonical.com>

 test/interfaces/Makefile.am	       | 20 ++++++++++++++++++--
 test/interfaces/valid-annotations.xml | 21 +++++++++++++++++++++
 2 files changed, 39 insertions(+), 2 deletions(-)

commit ac53fc025df08f12532fa7e3e69208db16151935
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 15:51:05 +0000

    Don't .gitignore everything in test/interfaces, and remove some
    duplication

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27598
    Reviewed-by: Robert Ancell <robert.ancell@canonical.com>

 .gitignore | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit b1338486f0ce5df460e9af67f3738f6a0f829840
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 15:45:57 +0000

    Allow <annotation> inside <property> too

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27598
    Reviewed-by: Robert Ancell <robert.ancell@canonical.com>

 dbus/dbus-gparser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 160842c85f808a4815d005dd39a0d9419aa06788
Author: Christian Dywan <christian@lanedo.com>
Date:	2011-01-04 15:43:05 +0000

    Allow signal annotations in dbus-binding-tool

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27598
    Bug-NB: NB#163566
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Robert Ancell <robert.ancell@canonical.com>

 dbus/dbus-gparser.c | 1 -
 1 file changed, 1 deletion(-)

commit dcbebd2ee2941136a2e04868da08777c985e0117
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 18:49:19 +0100

    Add a regression test for removing an object from only one connection

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32087

 test/core/registrations.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 818b90092102e4fe6d2addfe77ee5a86d50e31c5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 18:49:06 +0100

    dbus_g_connection_unregister_g_object: only unregister from
    @connection

    Previously, we unregistered the object from all connections, if it was
    present on more than one.

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32087

 dbus/dbus-gobject.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 6b29f7f317df7d96a94ac910306508452be9130c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 18:43:29 +0100

    Add a regression test for registering an object on two connections

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32087

 test/core/registrations.c | 101
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 101 insertions(+)

commit 17d5dcf86c766075400aff5d2aa3fe8e599fb715
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 18:19:44 +0100

    fd.o #32087: emit signals on the appropriate connections

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32087

 dbus/dbus-gobject.c | 23 +++++------------------
 1 file changed, 5 insertions(+), 18 deletions(-)

commit 7f041871c3e5d023ee9cb77609bf0b69ebdbde34
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 16:06:25 +0100

    Add a regression test for re-registering an object at the same path

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36793

 test/core/registrations.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 43f9dda46e9279b4489b6bd1efa0e5f9eb825a48
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 16:04:30 +0100

    dbus_g_connection_register_g_object: don't destroy state on early
    return

    At the beginning of the function we steal the object's state so we
    can add
    to the list. After doing that, we must make sure we give it back!

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36793
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

 dbus/dbus-gobject.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 4da28a6c49cecb902544d9152a693105d320cdac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 11:59:44 +0100

    dbus_g_connection_unregister_g_object: fix out-of-bounds reading

    The list of registrations is singly linked; we only avoid a crash here
    by luck.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36793
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

 dbus/dbus-gobject.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit da740bfd88850c858d1cee079c8d261a79e2c75e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 15:25:08 +0100

    Subsume the test for #5688 into the more general registrations test

    Also test that the object is unregistered by the last unref or
    by forced
    disposal, without crashing.

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36793

 test/core/5688.c	   | 81
 -----------------------------------------------
 test/core/Makefile.am	   |  9 ------
 test/core/registrations.c | 73 ++++++++++++++++++++++++++++++++++++++----
 test/core/run-test.sh	   |  1 -
 4 files changed, 67 insertions(+), 97 deletions(-)

commit 0692c5995ea4a7013b4ab605cd76aca49239168d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 15:08:27 +0100

    Convert registrations test to use GTest

    Also use a private bus connection, for potentially better
    leak-detection.

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36793

 test/core/registrations.c | 74
 +++++++++++++++++++++++++++++++++--------------
 1 file changed, 53 insertions(+), 21 deletions(-)

commit 002feb57cfcfeb439be1ace875a67ad540fed950
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-03 14:49:29 +0100

    Rename test/core/unregister to registrations (no source changes)

    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36793

 .gitignore		   |  2 +-
 test/core/Makefile.am	   |  6 ++--
 test/core/registrations.c | 71
 +++++++++++++++++++++++++++++++++++++++++++++++
 test/core/run-test.sh	   |  2 +-
 test/core/unregister.c    | 71
 -----------------------------------------------
 5 files changed, 76 insertions(+), 76 deletions(-)

commit 15d9f31812b07439558e615d4d9bdfccaa33dbd5
Author: Mike Gorse <mgorse@novell.com>
Date:	2011-03-11 09:26:01 -0600

    Fix removal of old io and timeout handlers when switching
    GMainContexts

    Bug: http://bugs.freedesktop.org/show_bug.cgi?id=35115
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gmain.c | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit a1a9a6f973f64e543c3d43b01bd6ef0963f8bf16
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-10 11:17:53 +0100

    test-service: ignore result of dbus_bus_request_name since we look
    at the error instead

    gcc 4.6 warns for this usage.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37062

 test/test-service.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 6c1e9559094be37bf66731b9f09fffcb1a19e8e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-10 11:16:45 +0100

    marshal_collection_array: statically assert that size conversion is
    not needed

    Previously, the function blindly assumed this without a check.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37062

 dbus/dbus-gvalue.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 324122a9f0bc859bb424d9026019e9077cda4015
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-10 11:15:32 +0100

    marshal_collection_array: remove set-but-unused variable elt_size

    gcc 4.6 warns about these.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37062

 dbus/dbus-gvalue.c | 3 ---
 1 file changed, 3 deletions(-)

commit 341043e2d776cbd6faaf5b8d6a54a46920bb094c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 15:18:48 +0100

    marshal_map, marshal_struct: remove unused variable ret

    gcc 4.6 warns about these.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37062

 dbus/dbus-gvalue.c | 6 ------
 1 file changed, 6 deletions(-)

commit 1ea2eee4623cace2e852f1c16b1b1ce23035d037
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 15:18:18 +0100

    demarshal_static_variant: remove useless call to
    dbus_message_iter_get_arg_type

    gcc 4.6 warns about this.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37062

 dbus/dbus-gvalue.c | 2 --
 1 file changed, 2 deletions(-)

commit f8a7ccf024a19caa54d6f79cd9d62a63a9b36c5b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-04 15:17:51 +0100

    bash completion helper: remove unused variable 'prev', and simplify

    gcc 4.6 warns about this.

    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=37062

 dbus/dbus-bash-completion-helper.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 09d85a945760d06447aea09a38ea99d0dc54de2a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 17:05:04 +0100

    DBusGProxy: link against GIO and use GDBus to check names' syntax

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=23616

 configure.ac	    |  2 +-
 dbus/dbus-gproxy.c | 29 ++++++++++++++++++++---------
 2 files changed, 21 insertions(+), 10 deletions(-)

commit f2b445d0d931f3f680cefe0141e62abeafda9742
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 15:08:36 +0100

    dbus_g_proxy_end_call: check that it's a proxy

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=23616

 dbus/dbus-gproxy.c | 2 ++
 1 file changed, 2 insertions(+)

commit 811089dae49c2f47d0f15fd7e9c180674f484391
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 15:08:05 +0100

    dbus_g_proxy_set_interface: check that it's a proxy and not destroyed

    If it has emitted destroy, our use of priv->manager will be a NULL
    pointer dereference.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=23616

 dbus/dbus-gproxy.c | 5 +++++
 1 file changed, 5 insertions(+)

commit af3d48b10042616ac7ecceed5af8ddaeecc093f5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 15:07:23 +0100

    Document that most DBusGProxy methods stop working on ::destroy

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=23616

 dbus/dbus-gproxy.c | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit 63bd85823fd3039e88176105434c7bbdeae71e84
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 15:06:18 +0100

    dbus_g_proxy_new_from_proxy: check that the old proxy is in fact
    a proxy

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=23616

 dbus/dbus-gproxy.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97de5501c2ebb29e4e32822bae0e45c88140bffd
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:	2011-04-14 14:48:56 +0100

    DBusGProxy: remove duplicate owner match rules.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=33646
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gproxy.c | 109
 ++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 82 insertions(+), 27 deletions(-)

commit bc0497ea0c5ac65abc3658a31c95f9b0e15680f3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-04-13 19:00:23 +0100

    dbus_g_proxy_add_signal: stop falsely claiming that we read
    introspection

    If we believed the introspection, services could change their
    introspection and remote-crash us, so it's good that we don't. We
    shouldn't claim that we do, though.

    The second sentence is subtle: for D-Bus types that dbus-glib can map
    into more than one GLib type, you must currently use the one that
    dbus-glib would "naturally" produce. The only example I can find
    is that
    object paths must be DBUS_TYPE_G_OBJECT_PATH, even though dbus-glib
    can
    also (in principle) unmarshal object-paths as DBUS_TYPE_G_PROXY.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36216

 dbus/dbus-gproxy.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f5008cc76e0b466c4730e331857bc041aced5e94
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 18:52:27 +0100

    improve documentation of proxy timeouts to mention that -1 is special

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gproxy.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 25c4b24a0d8490a7ba667b9944ce9b1c0808878a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 18:52:02 +0100

    Don't allow proxy timeouts to be set negative, except for -1

    libdbus checks this as a precondition, but to avoid astonishing error
    behaviour (interpreted as OOM), so should we.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gproxy.c | 3 +++
 1 file changed, 3 insertions(+)

commit 35d1d8479031393f86fe668d2a1f64325b5dd1be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:35:51 +0100

    DBusGProxy: share OOM handler

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gproxy.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 3a0e477ed6648bcb99711976fd51f4c0394000c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:32:11 +0100

    dbus_g_proxy_call_no_reply: don't assume NULL message means OOM

    It might either be OOM or bad arguments, probably the latter. That's
    programming error, but we already raised a critical warning, so
    be silent.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gproxy.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d0332f9862c3af18161f58444f35c7d03d9fb067
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:32:00 +0100

    dbus_g_proxy_begin_call_internal: don't assume NULL message means OOM

    It might either be OOM or bad arguments, probably the latter. That's
    programming error, but we already raised a critical warning, so
    be silent.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gproxy.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cd0da3f56873c5399b6247791df16acd3f4a73b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:30:29 +0100

    dbus_g_proxy_marshal_args_to_message: diagnose inability to marshal
    args

    Failure to marshal arguments is entirely reachable, albeit only via
    programming error.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gproxy.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 8b75efc7941ac789605128d48f82168da18bb9fd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:27:18 +0100

    marshal_collection_array: simplify exit path

    Also don't assume that failure of dbus_message_iter_close_container is
    always OOM.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 7729c5a4ee9c1bba0fe3f35d840c542303e26a1a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:26:56 +0100

    marshal_collection_array: if appending fails, don't assume OOM

    Appending can also fail by appending ((gboolean) 23) or something;
    admittedly, that's a programming error.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 73c1dc8031df7c9de0ab321f02cc5bedc49be7c1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:25:50 +0100

    marshal_collection_array: assert validity of signature

    This means we can recognise OOM reliably; do so.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ca88a4f4adffccc1be8ddc0835d640f36d42f9fc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:25:25 +0100

    marshal_collection_array: fail early if the array is NULL

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 7228321ddafc88e12406ca49406dfaa80240be9d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:24:53 +0100

    marshal_collection_ptrarray: abandon broken containers, simplify
    exit path

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 9e8bed2ec229e48df0b1c63560b183f46d33bffd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:24:18 +0100

    marshal_collection_ptrarray: assert that the signature is valid

    This means that dbus_message_iter_open_container can't fail except
    by OOM,
    so use the shared handler.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 385180d3b1975afce823d4aa9aa5daf82fa09b5a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:23:46 +0100

    marshal_variant: abandon broken containers rather than closing them

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 72c21e4e4cac8092c1dcf8348fdf3955cb01229c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:23:34 +0100

    marshal_struct: simplify teardown, and abandon broken containers

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 48cf1b8b147d80265e2ab23b257d5c96ca260db9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:23:08 +0100

    marshal_map: on error, abandon the container instead of closing it

    libdbus considers it to be a programming error if you close a
    container
    gracefully when its contents are incomplete.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit c827cd5b160b59246305526eac6154006f8bb8d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:21:18 +0100

    marshal_signature: check validity of the signature

    Also remove a spurious cast, and comment why we're *not* assuming that
    failure here is necessarily OOM.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 98e5da6a6363b68042503e8e01819dc86ec7781e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:20:51 +0100

    marshal_object: check that it's really an object and its path is valid

    Again, we can now assume that failure is OOM.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5d90b996ad4e9ee927d25fc692c8b08baa2a36b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:20:23 +0100

    marshal_object_path: check that it's really a valid object path

    Again, this means failure can only be OOM, so use the shared handler.
    Also remove an unnecessary cast.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit f57e4e33838062e98d39764202fdcd60b709362d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:19:45 +0100

    marshal_proxy: check that it's really a proxy and its path is valid

    This means that dbus_message_iter_append_basic can't fail other
    than by
    OOM, so use the shared OOM handler.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 15bf1a2ef4d8b3e37b056cc893a844706fc714dc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:18:43 +0100

    marshal_valuearray: simplify teardown

    If close_container fails, it might be an assertion failure in libdbus,
    so don't assume it's OOM. We have to handle programming errors
    somewhat
    gracefully during marshalling anyway, so there's no point in
    asserting.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit d1093f2c3413285c839cdbbca0c848b0d071cb62
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:16:29 +0100

    marshal_valuearray: abandon the container if we fail

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 782412b65a1364f8736e15217aa853083c962935
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:15:27 +0100

    marshal_basic: if marshalling a string fails, critical and return
    FALSE

    This could be OOM, but it could also be non-UTF-8.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit a2c276a49fa9efb8336db74db60dc1bcd2f0e8d6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:14:25 +0100

    marshal_basic: if a boolean has a non-boolean value, diagnose
    the error

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 94a501e0e69cf912c7f6a5250fdea0ec5fe673c7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:13:50 +0100

    dbus-gvalue: replace trivial cases of OOM with a call to a noreturn
    function

    In these cases there's no invalid value we could be supplying
    to libdbus,
    so it's definitely OOM, not a programming error (e.g. non-UTF-8)
    masquerading as OOM.

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gvalue.c | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit 41b2fd28a833995c8ccab1a690c0e3925572488b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 17:54:12 +0100

    When given an object path, use GVariant to check syntactic validity

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 dbus/dbus-gobject.c | 2 +-
 dbus/dbus-gproxy.c  | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 367a58bc081d451ff90262ae96b7d78ea74f3d11
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-28 19:05:44 +0100

    Depend on dbus 1.2.16 for dbus_message_iter_abandon_container

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30171

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f782b478a784ac890741e5d84fd741a26d49510
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-03-29 14:45:34 +0100

    Stop overriding pkg-config's nice informative message if GLib is
    too old

    This means that instead of this rather ambiguous text:

	checking for DBUS_GLIB... no
	checking for DBUS_GLIB_THREADS... yes
	configure: error: GLib development libraries not found

    platforms whose GLib is too old will get the conventional output:

	checking for DBUS_GLIB... no
	configure: error: Package requirements (gobject-2.0 >= 2.26)
	were not met:

	Requested 'gobject-2.0 >= 2.26' but version of GObject is 2.24.0

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=33145
    Reviewed-by: Colin Walters <walters@verbum.org>

 configure.ac | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit ab2a98bd3ae0c59f198e82cba2c81095a47fa58d
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	2011-02-15 14:10:34 +1100

    Fix linking order

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=34282

 dbus/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af0c64037673d598a6842fb344b5f3dad80ab821
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-06-02 16:31:54 +0100

    docs: correct links in introduction

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=22667 — thanks to
    Daniel Macks for the bug report!

 doc/reference/dbus-glib-docs.sgml | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 04e11da48a6c2a75bebb5ece31cf86508203dd02
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 16:33:27 +0000

    Add a regression test for errors containing underscores

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30274
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 test/core/my-object.c		 | 15 +++++++++++++++
 test/core/my-object.h		 |  3 ++-
 test/core/test-dbus-glib.c	 | 11 +++++++++++
 test/core/test-service-glib.xml |  3 +++
 4 files changed, 31 insertions(+), 1 deletion(-)

commit 2d987890c3ba2fd8efc92f8b75da88904ce425f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-01-04 18:04:11 +0000

    Run run-with-tmp-session-bus.sh directly rather than via ${SHELL}

    It has a correct #!/bin/sh line and is executable, so just running
    it is
    fine. This avoids running it under a user's chosen interactive shell,
    which might be non-POSIX (zsh, csh). Gentoo Portage apparently sets
    SHELL to /bin/false, presumably to trap this sort of thing.

    (I've tested this on Debian unstable with /bin/sh -> /bin/dash,
    to check
    that weren't accidentally relying on $SHELL being bash or similar.)

    Based on a workaround from Myckel Habets on the Gentoo bug.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=27193
    Bug-Gentoo: https://bugs.gentoo.org/show_bug.cgi?id=254192
    Reviewed-by: Colin Walters <walters@verbum.org>

 test/core/run-test.sh	     | 2 +-
 test/interfaces/run-test.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6708c68cc9c312ffea600d0020425412ba242ddb
Author: Christian Dywan <christian@lanedo.com>
Date:	2011-01-04 18:48:31 +0000

    Cleanup indentation in dbus-glib-binding-tool

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32351
    Bug-NB: NB#180486
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-binding-tool-glib.c | 134
 +++++++++++++++++++++---------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

commit f1b8944a93a22d342f744526f5c47e80e394579f
Author: Christian Dywan <christian@lanedo.com>
Date:	2011-01-04 18:48:27 +0000

    Plug leaks in dbus-glib-binding-tool

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=32351
    Bug-NB: NB#180486
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-binding-tool-glib.c | 27 +++++++++++++--------------
 1 file changed, 13 insertions(+), 14 deletions(-)

commit 4cd1f54f4db5759db3781da4645cebcd4143e9a4
Author: Christian Dywan <christian@twotoasts.de>
Date:	2010-09-20 11:57:08 +0200

    Do not squash underscores in error names

    Underscores are used and valid according to the specification.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30274
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gobject.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit d4780b527f5112acf015c0e57c9911e939b16f99
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-21 16:32:22 +0200

    Watch server_set_data failure in dbus__server_setup_with_g_main

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=29884
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gmain.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c7b83e5b3bf7291b75399eed3f01ecea0c98702f
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-12-13 10:14:57 -0800

    Verify Increment call in dbus-glib-test

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=29884
    Origin: vendor, Maemo
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/core/test-dbus-glib.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7e157ee379de430fce9874291701c0c6666d2c2d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-10 10:44:38 +0000

    Bump version to 0.93 for development

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a12d06317591f954542d5ddbe1a1d3cad10a8156
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-10 10:25:19 +0000

    Release version 0.92

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb7a627ea838ae453d1401679a2b97acd95ba327
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-10 10:22:40 +0000

    Bump GLib dependency to 2.26.

    G_VARIANT_TYPE_STRING_ARRAY, as used by the GVariant<->GValue
    conversion
    functions, was added in 2.26. The previous release should have
    had this
    dependency, but I didn't notice.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c12efeeb7d9eb76eeae049528cee09c331551a5e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-08 00:20:20 -0500

    Bump version to 0.91 for development

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d4a1e266727de9ed1cba2707006435a389cac90
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-08 00:16:46 -0500

    HACKING: Fix release URL; be honest about NEWS

 HACKING | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b3c18c486dbb1fd2c6221d26fd64719d73ff4200
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-08 00:12:00 -0500

    Makefile.am: Remove ChangeLog's spurious FORCE dependency

    This seems to be some kind of leftover from the now-deleted lcov
    stuff.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccd31bb39e496ba511e888d793b15bfaa22894f0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-08 00:08:15 -0500

    Release version 0.90

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65fb5802295ff28970ac1e3f0d5adaa6927a5773
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-11-08 00:04:31 -0500

    Build test/ before its subdirs.

    This fixes running `make check` without first running `make`, since
    subdirs of test/ depend on the binaries in that directory.

 test/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22df79e0c1373b696adbbaf2791195f0a8b5fb0f
Author: Mike Gorse <mgorse@novell.com>
Date:	2010-10-22 04:33:53 -0400

    Fix switching a connection's GMainContext

    dbus_connection_setup_with_g_main and dbus_server_setup_with_g_main
    are
    intended to switch the setup to a new main loop context if they are
    called with a context other than the one with which they were
    initially
    called.  However, this does not work in practice.  The problem has
    to do
    with libdbus maintaining a list of watches associated with the
    connection.  When dbus_connection_set_watch_functions is called, it
    first adds the existing watches using the new function and data, then
    removes the watches using the old function and data.  Remove_watch
    calls
    connection_setup_remove_watch, and the latter does not check that the
    watch's connection setup matches the connection setup passed to it, so
    it winds up removing the watch from the new connection setup.  (The
    watch has already been removed from the old setup at this point, as a
    side effect of dbus_watch_set_data).

    Fixes: <https://bugs.freedesktop.org/show_bug.cgi?id=30574>
    Signed-off-by: Will Thompson <will.thompson@collabora.co.uk>

 .gitignore	       |  1 +
 dbus/dbus-gmain.c     |  7 ++--
 test/core/30574.c     | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 test/core/Makefile.am |  4 +++
 test/core/run-test.sh |  1 +
 5 files changed, 106 insertions(+), 3 deletions(-)

commit 8f0936de52b62b025385182406e5ea5795503d76
Merge: 8aca055 afd0987
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 13:06:47 +0100

    Merge branch 'type-names'

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30431

commit 8aca05563f86bd24fedb4322363ae844affc3c61
Merge: 0ab27bb ad4b66d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:37:58 +0100

    Merge branch 'gvariant'

    Reviewed-by: Danielle Madeley <danielle.madeley@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30428

commit ad4b66db0e3a6ecab31bed214f341c4b07691224
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:15:08 +0100

    copy arrays of 'o', 'g' from GVariant without constructing a format
    string programmatically

 dbus/dbus-gvalue-parse-variant.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 869c180e12c68ed06fe973c58f26cffbf4a3cec9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:13:19 +0100

    output unhandled GVariantClass as ASCII if possible

 dbus/dbus-gvalue-parse-variant.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 42192c5bc0517d747aa83e9ce82e0208c3426aab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:06:36 +0100

    Add dbus_g_value_parse_g_variant to gtkdoc

 doc/reference/dbus-glib-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit f3b4a2d82994f0013f14fffbd3fedd8cd45cf7da
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:06:07 +0100

    dbus_g_value_parse_variant_by_type: talk about GVariant, not GDBus,
    in docs

 dbus/dbus-gvalue-parse-variant.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bc207d10cace8051ff7b2ddf51176030c0d40d17
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:05:48 +0100

    Adjust syntax to avoid relying on array/pointer duality

 dbus/dbus-gvalue-parse-variant.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a66176ecd5eab86d62e23c393c90dfda4d9ca354
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-14 12:04:29 +0100

    dbus_g_value_basic_array_parse_variant: allow the fast path to
    be taken

 dbus/dbus-gvalue-parse-variant.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9c4c4bf00321ab1fb092514c6b1312d82a098c3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-13 13:27:33 +0100

    Test dbus_g_value_parse_g_variant

    Also test dbus_g_value_build_g_variant more thoroughly, by carrying
    out
    various round-trip conversions.

 test/core/test-gvariant.c | 283
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 283 insertions(+)

commit 817e1fc7c50ccde3643c20ed837dce00bc16a885
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-13 12:57:35 +0100

    dbus_g_value_build_g_variant: cope with empty arrays, maps

    We can't just derive the type from the first entry if there's no first
    entry, so for the empty case we need a function whose structure
    mirrors
    dbus_g_value_build_g_variant itself, which just returns the type.

 dbus/dbus-gtype-specialized.c | 114
 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 112 insertions(+), 2 deletions(-)

commit 53d4457fb5bd71467acb1fbca7ecd80d8e39e189
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-13 12:52:39 +0100

    dbus_g_type_specialized_map_append: document that the value contents
    are stolen

    This is highly non-obvious, and tripped me up while writing
    dbus_g_value_parse_g_variant.

 dbus/dbus-gtype-specialized.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 26e1c1d86b6e583ac326674ab8b886673f7c1f90
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-13 12:52:07 +0100

    fd.o #30428: add dbus_g_value_parse_g_variant

    This is the inverse of dbus_g_value_build_g_variant, and can be
    used to
    present an API with GVariant 'in' arguments to library users, then
    translate them into GValue for transmission over dbus-glib, as a
    transition mechanism.

 dbus/Makefile.am		  |   2 +
 dbus/dbus-glib.h		  |   2 +
 dbus/dbus-gvalue-parse-variant.c | 525
 +++++++++++++++++++++++++++++++++++++++
 dbus/dbus-gvalue-parse-variant.h |  39 +++
 4 files changed, 568 insertions(+)

commit abe6ee06e30f71187aeaed2c8804cbcc6692d8cc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-13 12:48:51 +0100

    replace remnants of gcov support with lcov.am from telepathy-glib

 .gitignore    |  4 ++++
 Makefile.am   | 27 +--------------------------
 tools/lcov.am | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+), 26 deletions(-)

commit b4362df4d4b9ccd3246f102f7990dbda426f1b8c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-12 15:27:52 +0100

    Remove gcov decoder, which hasn't worked since dbus-glib left libdbus

 Makefile.am	    |	16 +-
 test/Makefile.am   |	12 +-
 test/decode-gcov.c | 2652
 ----------------------------------------------------
 3 files changed, 2 insertions(+), 2678 deletions(-)

commit c42b86fecc793edaf82055a3552f1490be8ad29c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-12 15:19:24 +0100

    Test dbus_g_value_build_g_variant for various fixed arrays

 test/core/test-gvariant.c | 217
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 217 insertions(+)

commit 75161c695e8d9729ead8543b1297202eee1894f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-12 15:19:05 +0100

    Actually run test/core/test-gvariant

 test/core/run-test.sh | 1 +
 1 file changed, 1 insertion(+)

commit 48b2b580c4d6fdcd9db83db7acebb0ea4be6fff9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-10-12 14:41:35 +0100

    Give specialized GArrays iteration/appending support

    This is necessary to have dbus_g_value_build_g_variant work on them.

 dbus/dbus-gvalue-utils.c | 162
 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 160 insertions(+), 2 deletions(-)

commit 0ab27bb2b7c3f944348e6368069ffbfcfc2bcb5a
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-21 17:28:09 +0200

    Free looked up function name in dbus binding tool

 dbus/dbus-binding-tool-glib.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 5784ee8f24334e634e91b8761dfa956f97a0d2ba
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-21 17:18:18 +0200

    Always free method_c_name in dbus binding tool

 dbus/dbus-binding-tool-glib.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 4acce76d97825721c1792417994e592542f4d3d9
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-21 17:12:34 +0200

    Free path string after emission in in statemachine server example

 dbus/examples/statemachine/statemachine-server.c | 1 +
 1 file changed, 1 insertion(+)

commit ddb48ae24e40c8636b85555e8d288e2a33cadd44
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-21 17:10:26 +0200

    Plug leak of expected_str in threaded server test

 test/core/test-thread-server.c | 1 +
 1 file changed, 1 insertion(+)

commit a07afee00e091a11dc9eefd775288a32f0e49e2d
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-21 18:41:06 +0200

    Dereference main loop once variant recursion test is done

 test/core/test-variant-recursion.c | 2 ++
 1 file changed, 2 insertions(+)

commit ffe66eb93737eb5ac699b8acba7781a5f77bdab6
Author: Christian Dywan <christian.dywan@lanedo.com>
Date:	2010-07-22 16:26:15 +0200

    Remove unused method attribute variables in introspect_interfaces

 dbus/dbus-gobject.c | 4 ----
 1 file changed, 4 deletions(-)

commit afd098718e36b8ce51f565447f429d807bab3785
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-09-28 17:19:19 +0100

    Add DBusGObjectPath, DBusGSignature typedefs

 dbus/dbus-glib.h		      |  2 ++
 dbus/dbus-gvalue.c		      | 44
 ++++++++++++++++++++++++++++++++----
 doc/reference/dbus-glib-sections.txt |  4 +++-
 3 files changed, 45 insertions(+), 5 deletions(-)

commit 8318613e6b186bd9e5c8a844c58beebf47426116
Author: Colin Walters <walters@verbum.org>
Date:	2010-08-12 10:19:35 -0400

    configure: Release 0.88

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 510bdcd63ae4e588a5cb72727696d5ad7fd5298b
Author: Colin Walters <walters@verbum.org>
Date:	2010-04-19 16:47:11 -0400

    Respect property access flags for writing, allow disabling for reads

    Because DBus-GLib originally was designed as a generic "object
    mapping"
    binding, the handler for org.freedesktop.DBus.Properties simply
    allowed access (read or write) to any GObject property that was
    exported.

    Later, the (compile time) introspection XML was added, and while
    we only
    listed "exported" properties in the dynamic introspection XML, we
    still allowed Get or Set calls to any property that was valid.

    With this patch, we deny writes to properties which aren't listed
    in the XML, or are listed as read-only.

    For backwards compatibility however, we still allow reads.	A
    service may disable this by calling
    dbus_glib_global_set_disable_legacy_property_access().

 dbus/dbus-binding-tool-glib.c	 |  53 ++++++--
 dbus/dbus-glib.h		 |   2 +
 dbus/dbus-gobject.c		 | 293
 ++++++++++++++++++++++++++++++++++------
 test/core/my-object.c		 |  63 ++++++++-
 test/core/my-object.h		 |   5 +
 test/core/test-dbus-glib.c	 | 252 ++++++++++++++++++++++++++++++++--
 test/core/test-service-glib.xml |   5 +
 7 files changed, 601 insertions(+), 72 deletions(-)

commit f0668d71d63f97c1c429dad165a30d3aadbdfa0f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-08-09 11:25:19 +0100

    Consolidate LDADD variables in tests/examples and make them more
    complete

    This fixes compilation with LDFLAGS=-Wl,--no-add-needed, which is the
    default behaviour of GNU gold, and of Fedora's patched GNU ld.
    See: http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=29274
    Reviewed-by: Colin Walters <walters@verbum.org>

 dbus/examples/Makefile.am		|  8 ++++----
 dbus/examples/statemachine/Makefile.am |  6 ++++--
 test/core/Makefile.am			| 32
 +++++++++++++-------------------
 test/interfaces/Makefile.am		|  8 ++++----
 4 files changed, 25 insertions(+), 29 deletions(-)

commit ccf4a4d8c82b7309af7f3fb23144690acbf8e38c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-08-09 11:25:55 +0100

    Add various tests etc. to .gitignore

 .gitignore | 7 +++++++
 1 file changed, 7 insertions(+)

commit dcc9c8f2dede482614b885eace06f2dedaf2a736
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-07-27 17:16:33 +0100

    Add Libtool m4 to .gitignore

 .gitignore | 5 +++++
 1 file changed, 5 insertions(+)

commit 9440209e203cccef158904800ea623568637a71e
Merge: 0eec114 077d445
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-08-05 10:09:08 +0100

    Merge remote branch 'danni/gvalue-to-gvariant'

    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=28715

commit 0eec114bb510a3bb30888b0020ca0dc11dc3497d
Author: Christian Dywan <christian@twotoasts.de>
Date:	2010-07-22 13:38:01 +0200

    Refer to dbus_g_connection_flush rather than the plain dbus call

    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=29214

 dbus/dbus-gproxy.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 077d445078663e3ee6f93beacc14d866504148bf
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	2010-07-14 15:43:11 +1000

    Support DBUS_TYPE_G_SIGNATURE

 dbus/dbus-gtype-specialized.c |  2 ++
 test/core/test-gvariant.c     | 21 +++++++++++++++++++++
 2 files changed, 23 insertions(+)

commit 13f7c51344111ca5266e790d2f4863fab770bfd8
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	2010-06-25 14:35:17 +1000

    Test test_g_variant_equivalent itself

 test/core/test-gvariant.c | 144
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 144 insertions(+)

commit 90b5e06797f2c9c5ed8918d22de35d5093bc3bd1
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	2010-06-25 14:11:40 +1000

    Write a recursive equivalence function for testing the equivalence
    of GVariants

    Makes up for the limitations of g_variant_equal()

 test/core/test-gvariant.c | 114
 ++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 106 insertions(+), 8 deletions(-)

commit 5456dc1f10544505a61f2608f646256e28b0047a
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	2010-06-24 22:10:48 +1000

    Tests for GValue-to-GVariant

 test/core/Makefile.am	   |   7 +-
 test/core/test-gvariant.c | 191
 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 197 insertions(+), 1 deletion(-)

commit 5cc0676c83ee678069886daad5fc5487f098686e
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	2010-06-24 20:52:26 +1000

    fd.o #28715: Add dbus_g_value_build_g_variant()

 dbus/dbus-gtype-specialized.c	      | 127
 +++++++++++++++++++++++++++++++++++
 dbus/dbus-gtype-specialized.h	      |   2 +
 doc/reference/dbus-glib-sections.txt |   1 +
 3 files changed, 130 insertions(+)

commit 5ed147db0808e5f4ef50dfd6011419c44255ea6c
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:	2010-06-24 20:59:05 +1000

    Bumping required GLib to 2.24 for GVariant

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f054d7bce4b2ea74e5268f2cf65c467773ee14f
Author: Dan Williams <dcbw@redhat.com>
Date:	2010-06-29 21:19:25 -0700

    Fix lookup of regular properties when shadow properties are used

    Only free the uscore converted name if there's actually a shadow
    property registered for this property; otherwise if there is no
    shadow property we free the uscore converted one and then return
    it immediately after.

 dbus/dbus-gobject.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e6b6e27dc2d6e3abae88d9a773a1e4c016e58aa3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-05-04 12:39:51 +0100

    fd.o #27958: dbus_g_error_domain_register: rewrite the documentation

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

 dbus/dbus-gobject.c | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit 451183c140f7d6b42fdff3a6c190ef93d860c5fc
Merge: 7db074f 499beb6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2010-05-04 12:18:31 +0100

    Merge branch '14579-remove-before-cancel'

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=14579

commit 7db074fead497c31041ebf417db26ae9a7ab565c
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:	2010-04-26 18:51:49 +0200

    Put the G_OS_WIN32 check where it can be defined.

 test/core/test-profile.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit fb7cb9f10e08eaf3887b2a63a7fa59510e40b5d2
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:	2010-04-26 18:50:31 +0200

    Fix linking of tests. On windows, undefined symbols are not allowed
    and symbol lookup is sequencial

 test/core/Makefile.am	     | 2 +-
 test/interfaces/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fadbedfbbf512d69611a80a0cd4698e3b5d579ea
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:	2010-04-26 18:44:21 +0200

    Use EXEEXT so that we satisfy dependencies when cross-compiling

 test/core/Makefile.am	     |	6 +++---
 test/interfaces/Makefile.am | 20 ++++++++++----------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit f0abb1f78d4e4764119b57d2b6f3b5fa57d8fdfb
Author: Dan Williams <dcbw@redhat.com>
Date:	2010-04-22 13:26:44 -0700

    core: don't pass malformed error interface to dbus (rh#581794)

    While clients should really register their errors, dbus-glib
    shouldn't be passing a malformed error interface to dbus
    either.  It's just not nice and libdbus will call abort().

    See https://bugzilla.redhat.com/show_bug.cgi?id=581794

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-gobject.c		 | 17 +++++++++++------
 test/core/my-object.c		 | 12 ++++++++++++
 test/core/my-object.h		 |  1 +
 test/core/test-dbus-glib.c	 |  8 ++++++++
 test/core/test-service-glib.xml |  3 +++
 5 files changed, 35 insertions(+), 6 deletions(-)

commit 47adc3b17f20a78230c5c34e635fc30bb7afbde2
Author: Colin Walters <walters@verbum.org>
Date:	2010-04-26 10:51:39 -0400

    Disable test-profile on win32 for now

    It uses Unix sockets, and overall isn't very interesting anyways.

 test/core/test-profile.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 16deb341b52421695b81ebe8c91c81f47eb173f3
Author: Fridrich Strba <fridrich.strba@bluewin.ch>
Date:	2010-04-26 10:31:23 -0400

    Don't use the identifier "interface" in public headers

    This causes problems on Windows.

 dbus/dbus-gidl.h | 2 +-
 dbus/dbus-glib.h | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 354ed0897ae0e815e95a7eb931de6ba35325121c
Author: Fridrich Strba <fridrich.strba@bluewin.ch>
Date:	2010-04-26 10:29:41 -0400

    Use AC_CANONICAL_HOST, not _TARGET

    This is what GLib uses; see the Autoconf manual for the full
    explanation of the train wreck.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af0ec6795ea64d6498b83f30ecd94adc4e935e7e
Author: Astone Lin <astone.lin@mediatek.com>
Date:	2010-04-19 06:56:43 -0400

    Allow duplicate object path registrations for different connections

    We clearly need to respect the connection when comparing
    registrations,
    since it's perfectly valid to have the same one on two different
    connections.

 dbus/dbus-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc7114a536571688d48ede025f1357c0e467c879
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:	2010-04-07 12:08:59 +0200

    add mising DBUS_TYPE_G_* to the doc

    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 doc/reference/dbus-glib-sections.txt | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8df3281e536557cfd6b4056a9c95102d57596179
Author: Colin Walters <walters@verbum.org>
Date:	2010-03-24 20:17:54 -0400

    [configure] Release 0.86

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 551d86f7fe0e7f2304f57baa7a406c935182b06a
Author: Dan Williams <dcbw@redhat.com>
Date:	2010-03-24 14:40:09 -0700

    core: performance optimization for object info lookup

 dbus/dbus-gobject.c | 31 ++++++++++++++++++-------------
 1 file changed, 18 insertions(+), 13 deletions(-)

commit ed73cb2f32c411a3306c6dfe2ae541aea249f200
Author: Dan Williams <dcbw@redhat.com>
Date:	2010-03-24 12:20:13 -0700

    core: allow duplicate property names on GInterfaces

    Allows dbus-glib clients to handle objects that implement
    more than one interface with the properties of the same name.
    Normally this would not be allowed since with GObject all
    properties are in the same namespace.  This patch allows
    the interface to register "shadow" properties on a per-interface
    basis which redirect the lookup of the property name.

 dbus/dbus-glib.h		     |	 4 +
 dbus/dbus-gobject.c		     | 160 ++++++++++++++++++++++++++----
 test/interfaces/Makefile.am	     |	24 ++++-
 test/interfaces/test-client.c	     | 186
 ++++++++++++++++++++++++++++++++++
 test/interfaces/test-dup-prop-a.xml |	 6 ++
 test/interfaces/test-dup-prop-b.xml |	 6 ++
 test/interfaces/test-dup-prop.c     | 192
 ++++++++++++++++++++++++++++++++++++
 test/interfaces/test-dup-prop.h     |	60 +++++++++++
 test/interfaces/test-server.c	     |	 8 ++
 9 files changed, 627 insertions(+), 19 deletions(-)

commit c1bbf6fb1b7c6e2a743c8a7353cddea52d42fa2d
Author: Colin Walters <walters@verbum.org>
Date:	2010-03-18 21:39:24 -0400

    [dbus-gobject.c] Trivial compiler warning fixes

 dbus/dbus-gobject.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b52c16b495632bd945328ca858533d5660106bdf
Author: Colin Walters <walters@verbum.org>
Date:	2010-03-18 21:37:38 -0400

    Remove dbus-glib-undeclared.txt from git; it's a generated file

 doc/reference/dbus-glib-undeclared.txt | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 7b029451dac1fdd14da4e558cc995fb7f5263d04
Author: Colin Walters <walters@verbum.org>
Date:	2010-03-18 21:37:05 -0400

    [configure.ac] Use AM_SILENT_RULES if available

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit db026859406ce768d71d4ccf850e8be56b52998c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2010-03-09 17:18:10 +0000

    Free errors returned by method implementations

    https://bugs.freedesktop.org/show_bug.cgi?id=26981

 dbus/dbus-gobject.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3902ac5a13a7510b8411b1147d0cce5711cf4168
Author: Sven Herzberg <herzi@gnome-de.org>
Date:	2010-03-08 16:50:28 +0100

    turn the gtk-doc documentation into buildable shape

    * dbus/dbus-gobject.c: the < and > symbols broke the sgml generation
    in
      gtk-doc

 dbus/dbus-gobject.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3d69cfeab177e79b4ecfe1b4284a5bd840fd11e7
Author: Colin Walters <walters@verbum.org>
Date:	2009-04-02 14:01:05 +0100

    Fix hyphenated error codes correctly

    The error code names generated my glib-mkenums separate the words by
    hyphens which are invalid D-BUS error names. This patch converts them
    back to wincaps, but we can't uppercase the first letter.

    Based on an original patch from Neil Roberts <neil@linux.intel.com>

 dbus/dbus-gobject.c		 | 21 ++++++++++++++++++---
 test/core/my-object.c		 | 13 +++++++++++++
 test/core/my-object.h		 |  4 +++-
 test/core/test-dbus-glib.c	 |  7 +++++++
 test/core/test-service-glib.xml |  3 +++
 5 files changed, 44 insertions(+), 4 deletions(-)

commit 4538adc1fe903d1ce71ca24590df9bdac7c4a50e
Author: Colin Walters <walters@verbum.org>
Date:	2010-03-02 12:12:18 -0500

    Revert "Squash underscores and dashes in errors when converting to
    DBus errors"

    This reverts commit 9637ed9f0c66982a06048b18ccf983881643e456.

    This incorrectly uppercased the first character in error names:
    https://bugzilla.redhat.com/show_bug.cgi?id=569631

 dbus/dbus-gobject.c | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit 2d85761286e96df3490426af1e20e7b553448092
Author: Colin Walters <walters@verbum.org>
Date:	2010-03-02 13:52:36 -0500

    Remove dbus-glib-undocumented.txt from git

    It's autogenerated by gtk-doc, so shouldn't be in git.

 doc/reference/dbus-glib-undocumented.txt | 60
 --------------------------------
 1 file changed, 60 deletions(-)

commit 9637ed9f0c66982a06048b18ccf983881643e456
Author: Colin Walters <walters@verbum.org>
Date:	2010-02-01 10:09:53 -0500

    Squash underscores and dashes in errors when converting to DBus errors

    We were just taking the enumeration nick and appending to the DBus
    error name, but since these can contain '-' we need to squash.

 dbus/dbus-gobject.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit d039ca66f85955788e2d58294c249579bed9cc03
Author: Colin Walters <walters@verbum.org>
Date:	2010-01-27 13:56:48 -0500

    Release 0.84

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1c3f7bf585d6010c84491372b0a6f0ae3b1432a
Author: Colin Walters <walters@verbum.org>
Date:	2010-01-27 13:01:29 -0500

    Add GMainContext to dbus_g_bus_get_private, add a test case

    To even sort of work with threads right now, a common workaround
    is to open a private connection.  This patch more explicitly
    supports creating a private connection, associating it with
    the GMainContext which will be used for a thread.

    Also, add a (very simple) test case which just uses a private
    connection for the default main context.

 dbus/dbus-glib.h	    |  1 +
 dbus/dbus-gmain.c	    |  4 +++-
 test/core/test-dbus-glib.c | 21 +++++++++++++++++++++
 3 files changed, 25 insertions(+), 1 deletion(-)

commit 87c645ed17d6fef350e8c26e322ecde566a27d42
Author: Colin Walters <walters@verbum.org>
Date:	2010-01-27 13:06:34 -0500

    Fix compilation of dbus-gvalue.c

    commit c4a5653e0402f876a1824c33a19e69991ee46a27 was missing a "break;"

 dbus/dbus-gvalue.c | 1 +
 1 file changed, 1 insertion(+)

commit e6cd65545ee5cd2eeb5ccc21d5bfe8e8ac286d95
Author: Colin Walters <walters@verbum.org>
Date:	2010-01-27 11:40:07 -0500

    Add note about non-maintenance of NEWS

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit c4a5653e0402f876a1824c33a19e69991ee46a27
Author: Andres Salomon <dilinger@collabora.co.uk>
Date:	2009-08-19 08:57:21 -0400

    dbus-gvalue: set an error when demarshal_basic doesn't recognize type

    By passing dbus_g_proxy_call an incorrect signature, we can cause
    the function to fail but not provide any error message (if
    G_DISABLE_ASSERT is defined).  As smvc pointed out, this can also
    become a runtime error when a telepathy CM changes signature, but
    the client hasn't been updated.  As such, g_assert isn't an
    appropriate
    action.  See http://bugs.debian.org/541632 for more information.

    This patch causes it to set an error when demarshalling a type
    that it's
    not expecting.  Instead of a NULL error, one instead
    sees something like the following when the method returns a path
    object but the client expected a string:

    "modem Create() failed: Expected type gchararray, got type code 'o'"

    Signed-off-by: Andres Salomon <dilinger@collabora.co.uk>

 dbus/dbus-gvalue.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b976413f896f2d5a0be9449fc77a716f2e67cc96
Author: Jiří Klimeš <jklimes@redhat.com>
Date:	2010-01-27 10:36:57 -0500

    Fix bad NAME in dbus-binding-tool man page

 doc/dbus-binding-tool.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 34636b12c62523b9db789b0fbeb3a86782debf10
Author: Colin Walters <walters@verbum.org>
Date:	2010-01-15 12:23:30 -0500

    Import dbus-bus-introspect.xml upstream

    Rather than having consumers pass an externally-generated XML file,
    just include one here.  In practice our target audience is OS
    builders,
    who if they have the capability to update dbus, also have the
    capability
    to update dbus-glib.

 Makefile.am		 |  1 +
 configure.ac		 | 12 --------
 dbus-bus-introspect.xml | 77
 +++++++++++++++++++++++++++++++++++++++++++++++++
 tools/Makefile.am	 | 15 ++--------
 4 files changed, 81 insertions(+), 24 deletions(-)

commit 9cefa4bae8d20beddf695380af00945790da0206
Merge: 5e5a1c1 15f4533
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-11-25 14:55:32 +0000

    Merge remote branch 'upstream/master'

commit 15f4533742ad6aeab85ebb723ac8fca99c00e939
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2009-11-16 13:32:40 +0000

    Don't leak DBusGMethodInvocation for no-reply calls

    https://bugs.freedesktop.org/show_bug.cgi?id=25119

 dbus/dbus-gobject.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 5e5a1c1930173dac0e331c2cb78a164c3565b0eb
Merge: 2a4396b 90e2199
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-09-29 14:22:07 +0100

    Merge remote branch 'wjt/duplicate-registrations'

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit 2a4396b523912c3bf4d2a1ef6d6fa930c0871c67
Merge: 980b468 e2007cf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-09-29 14:07:11 +0100

    Merge branch '20936-fsf-address'

    Reviewed-by: Colin Walters <walters@verbum.org>

commit 980b46870aa0e44a04ad1191d7af1d0601577501
Author: Stian Skjelstad <stian@nixia.no>
Date:	2009-09-18 14:01:00 -0400

    Bug 19623 - Add dbus_g_bus_get_private

    Useful for cases where you have to get a private connection, among
    them to work around threading issues.

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-glib.h  |  3 +++
 dbus/dbus-gmain.c | 41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

commit 90e2199ac99f5b8ab0cd5f45dcb398ecf9af03d9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2009-09-12 11:58:22 +0100

    Copy object registration list when unregistering.

    Since the list of registrations on the object is modified when
    each path
    is removed, iterating it directly is wrong: after the first pass
    of the
    loop, 'iter' would point to a link which has been freed.

 dbus/dbus-gobject.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 39e2642e41b2293de7556fa15c57872f78ffcdc8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:	2009-09-12 11:28:25 +0100

    Only re-set registration list if it's non-empty

 dbus/dbus-gobject.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0263b72669de710e0adda419a520ae9f123a1be9
Author: Colin Walters <walters@verbum.org>
Date:	2009-08-19 13:27:53 -0400

    Support duplicate object registrations

    Before commit e869fda4, we semi-supported registering the
    same object multiple times.  We'd accept messages for both paths,
    however when signals were emitted, they'd both use the first object
    path.

    That commit simply disallowed multiple registrations, which broke
    backwards compatibility with some projects like PolicyKit which
    had the same object registered with different paths.

    With this commit, explicitly allow and support multiple registrations.
    The primary change is that signals are now emitted once for each
    registration path of an object, using the correct path.

 dbus/dbus-gobject.c	       | 159
 +++++++++++++++++++++++++++++-------------
 test/core/test-dbus-glib.c    |  41 +++++++++++
 test/core/test-service-glib.c |   4 ++
 3 files changed, 154 insertions(+), 50 deletions(-)

commit c993494ad463ffe55b8603e58aa5ecb6dd731144
Author: Colin Walters <walters@verbum.org>
Date:	2009-07-16 14:09:18 -0400

    Release 0.82

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65e03ccf0f2417a83fd187035b80d680e376fd32
Author: Colin Walters <walters@verbum.org>
Date:	2009-07-16 13:51:57 -0400

    Test for git-log in Makefile.am should just be for git now

    The combined tools are no longer in $PATH for modern git.

 Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f5edb761202d3aff8f8bd0bc68dd57d3d32d2bd1
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:	2009-07-16 13:39:08 -0400

    Bug 18294 - Be defensive about a possibly NULL property string

    As far as I can tell we should always be writing one, but it doesn't
    hurt to guard against NULL here.

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-gobject.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2508e687e7d7792a656c7af0aad1be851faa33bb
Author: Brian Cameron <brian.cameron@sun.com>
Date:	2009-07-16 13:15:38 -0400

    Bug 20343 - Add a man page for dbus-binding-tool

    Signed-off-by: Colin Walters <walters@verbum.org>

 doc/Makefile.am	 |   6 +-
 doc/dbus-binding-tool.1 | 294
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 299 insertions(+), 1 deletion(-)

commit 29513843b22dbd2aba1d3ba2930bb38e2c6631e5
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:	2009-05-09 18:13:49 +0300

    build: fix undefined macro: AM_PROG_LIBTOOL with recent libtool

    Without this patch, I get:

     configure.ac:206: warning: macro `AM_PROG_LIBTOOL' not found
     in library
     configure.ac:213: error: possibly undefined macro: AM_PROG_LIBTOOL
	   If this token and others are legitimate, please use
	   m4_pattern_allow.
	   See the Autoconf documentation.
     autoreconf2.50: /usr/bin/autoconf failed with exit status: 1

    (I am using libltdl-dev 2.2.6a-4 from Debian)

 Makefile.am | 1 +
 autogen.sh  | 1 +
 2 files changed, 2 insertions(+)

commit d66337bdf9fc8f5372d84b05ae68c818bb9c881b
Author: Luis Menina <liberforce@freeside.fr>
Date:	2009-07-16 10:55:39 -0400

    Bugg 22244 - Only include <glib.h>, not individual headers

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-glib-tool.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67c289a60a4ac2ee9660f38a7168a238c1b3cffb
Author: Colin Walters <walters@verbum.org>
Date:	2009-07-15 15:33:31 -0400

    Clean up some compilation warnings

 dbus/dbus-gloader-expat.c  | 6 +++---
 dbus/dbus-gobject.c	    | 4 ++--
 test/core/test-dbus-glib.c | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 5eea6af0d24780109dbbc15b8bfa4078df3a80a2
Author: Colin Walters <walters@verbum.org>
Date:	2009-07-15 15:28:06 -0400

    Add missing prototype for dbus_g_connection_unregister_g_object

    The function was introduced in commit b4911558384de and intended
    to be public, make it so.

 dbus/dbus-glib.h | 2 ++
 1 file changed, 2 insertions(+)

commit de68d2b2fc3012ae733212a704aa29a748f22f80
Author: Brian Tarricone <bjt23@cornell.edu>
Date:	2009-07-15 15:03:36 -0400

    Bug 21753 - Correctly initialize GValues in dbus-binding-tool
    generated code

    GValues should have their type set to 0.

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-binding-tool-glib.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit af07e13e6afe09456588ddba4b72cba215bc7c93
Author: Jason Leach <jason@archlinux.us>
Date:	2009-07-01 15:41:04 -0400

    Bug 21362 - Remove use of deprecated symbols

    The _set*_take_ownership are replaced by _take, and
    use g_main_loop_run.

 dbus/dbus-binding-tool-glib.c	|  6 +++---
 dbus/dbus-gvalue-utils.c	| 14 +++++++-------
 dbus/dbus-gvalue.c		| 16 ++++++++--------
 m4/gtk-doc.m4			|  2 +-
 test/core/test-dbus-glib.c	|  2 +-
 test/core/test-thread-client.c |  2 +-
 test/core/test-thread-server.c |  2 +-
 7 files changed, 22 insertions(+), 22 deletions(-)

commit e2007cfc5822f057b975660bd369fee56a7f2eb6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-06-09 16:22:46 +0100

    fd.o #20936: Fix another couple of instances of the old FSF address

    `git grep 'Temple Place'` now returns nothing.

 dbus/dbus-bash-completion-helper.c | 2 +-
 dbus/dbus-gtool-test.h		    | 2 +-
 dbus/dbus-gtype-specialized-priv.h | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit cbe5250e553112221e1230301767ad1052790b0a
Author: Tobias Mueller <fdo-bugs@cryptobitch.de>
Date:	2009-04-15 21:37:05 +0100

    fd.o #20936: Update FSF address

    The glib bindings contain an outdated address of the FSF:
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307

    The new address is:
    http://www.fsf.org/about/contact.html writes:
    > Free Software Foundation
    > 51 Franklin Street, Fifth Floor
    > Boston, MA 02110-1301
    > USA

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 COPYING		       | 4 ++--
 dbus/dbus-binding-tool-glib.c | 2 +-
 dbus/dbus-binding-tool-glib.h | 2 +-
 dbus/dbus-gidl.c	       | 2 +-
 dbus/dbus-gidl.h	       | 2 +-
 dbus/dbus-glib-lowlevel.h     | 2 +-
 dbus/dbus-glib-tool.c	       | 2 +-
 dbus/dbus-glib-tool.h	       | 2 +-
 dbus/dbus-glib.c	       | 2 +-
 dbus/dbus-glib.h	       | 2 +-
 dbus/dbus-gloader-expat.c     | 2 +-
 dbus/dbus-gmain.c	       | 2 +-
 dbus/dbus-gobject.c	       | 2 +-
 dbus/dbus-gobject.h	       | 2 +-
 dbus/dbus-gparser.c	       | 2 +-
 dbus/dbus-gparser.h	       | 2 +-
 dbus/dbus-gproxy.c	       | 2 +-
 dbus/dbus-gsignature.c        | 2 +-
 dbus/dbus-gtest-main.c        | 2 +-
 dbus/dbus-gtest.c	       | 2 +-
 dbus/dbus-gtest.h	       | 2 +-
 dbus/dbus-gthread.c	       | 2 +-
 dbus/dbus-gtype-specialized.c | 2 +-
 dbus/dbus-gtype-specialized.h | 2 +-
 dbus/dbus-gutils.c	       | 2 +-
 dbus/dbus-gutils.h	       | 2 +-
 dbus/dbus-gvalue-utils.c      | 2 +-
 dbus/dbus-gvalue-utils.h      | 2 +-
 dbus/dbus-gvalue.c	       | 2 +-
 test/core/test-profile.c      | 2 +-
 test/decode-gcov.c	       | 2 +-
 31 files changed, 32 insertions(+), 32 deletions(-)

commit 499beb64a12cead99ccb09d7de01890aaa800ef2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 16:04:57 +0000

    Bug 14579: remove pending call from hash table before cancelling it

    Previously, the code implicitly assumed that cancelling the pending
    call
    would not cause the DBusGProxy to be freed. This can fail if user_data
    for the pending call holds the last reference to the DBusGProxy - in
    this case, it is unsafe to be manipulating the contents of "priv"
    after
    the call is cancelled.

 dbus/dbus-gproxy.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b615918eef9723c00f03d30903181d9989dfd261
Merge: cb8a113 f550c49
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-06-09 16:15:49 +0100

    Merge branch '13908-autoinit'

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>
    Bug: http://bugs.freedesktop.org/show_bug.cgi?id=13908

commit f550c492a10922795099166db34d8ccf5dbe63a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-05-28 18:21:27 +0100

    fd.o #13908: silently initialize specialized types whenever required

    Colin Walters asks: "Is there a reason not to just do the
    initialization
    at the time someone calls one of the public API entry points that
    depends
    on it?". This turns out to be non-trivial because those public
    API entry
    points are themselves used inside the initialization.

 dbus/Makefile.am		    |  1 +
 dbus/dbus-gtype-specialized-priv.h | 48 ++++++++++++++++++++++++++++
 dbus/dbus-gtype-specialized.c	    | 64
 +++++++++++++++++++++++++++-----------
 dbus/dbus-gvalue-utils.c	    | 11 ++++---
 4 files changed, 101 insertions(+), 23 deletions(-)

commit cb8a113be8808fe2c88d3e7851e79115235f9e8c
Merge: 0d64d31 725e98f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-05-28 18:04:20 +0100

    Merge branch '20716-with-dbus-binding-tool'

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=20716
    Reviewed-by: Colin Walters <walters@verbum.org>

commit 0d64d318397da26f224abd2d7ef1f27d14a544fa
Merge: 48abffb b93c2a1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-05-28 18:02:44 +0100

    Merge branch '5688-survive-disconnection'

    This is unsuitable for cherry-picking by distros, since it adds API.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=21219
    Reviewed-by: Colin Walters <walters@verbum.org>

commit 48abffba4cd81c182901dd7c80987251ba05348e
Merge: 9a0c188 e869fda
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-05-28 18:01:54 +0100

    Merge part of branch '5688-survive-disconnection'

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=5688
    Reviewed-by: Colin Walters <walters@verbum.org>

commit 9a0c188e2662809950738e92b963e5602dfbd8eb
Merge: 03de444 98087a3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-05-07 15:33:15 +0100

    Merge branch '16776-make-dbus-errors-throwable'

    Reviewed-by: Colin Walters <walters@verbum.org>

commit 03de44461132ed610c3d52133d4b4760f20e4cb2
Merge: b6b3787 f363811
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-27 10:47:58 +0100

    Merge branch '20884-proxy-manager-replace-name-owner'

    Reviewed-by: Colin Walters <walters@verbum.org>

commit b6b37871960ee06d9cc589e031ec3d5d6a4a6b92
Merge: e11c0ac d275c2e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-16 19:25:02 +0100

    Merge branch '20886-configure-cleanup'

    Reviewed by Colin Walters, fd.o #20886.

commit e11c0aced3b00733766207f15876fb300d63d442
Author: Colin Walters <walters@verbum.org>
Date:	2009-02-25 11:27:57 -0500

    Bug 19927 - Use const for GError * param we're not modifying

    This makes it clearer we're not taking ownership of the error, and
    interoperates more nicely with functions which provide const GError *.

 dbus/dbus-glib.h    | 2 +-
 dbus/dbus-gobject.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a809ea3016a0eae166df13c757f3e917dea0c0f9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-16 12:35:42 -0400

    Bug 20879 - Use --skip-source argument for glib-genmarshal

    This avoids adding debug information for the temporary file.

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-binding-tool-glib.c | 1 +
 1 file changed, 1 insertion(+)

commit b93c2a19f468930c6badf054f79597d99d86e76c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-16 12:59:10 +0100

    fd.o #21219: regression test

 test/core/Makefile.am	| 22 +++++++++++++++-
 test/core/run-test.sh	|  1 +
 test/core/unregister.c | 71
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 1 deletion(-)

commit e869fda44331e6f590f974ad779115a22f5af22e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-16 12:57:43 +0100

    dbus-gobject: save the ObjectRegistration on each object, not just
    the path

 dbus/dbus-gobject.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit b4911558384de9919a231c29d75d9560f81fad0a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-16 12:58:32 +0100

    fd.o #21219: implement unregistration of objects

 dbus/dbus-gobject.c		      | 25 ++++++++++++++++++++++++-
 doc/reference/dbus-glib-sections.txt |  1 +
 2 files changed, 25 insertions(+), 1 deletion(-)

commit e42535c3c0dace3ede96c50f5a9b3cc315c80190
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-16 12:11:15 +0100

    fd.o #5688: Add a regression test

    Also assert that dbus_g_connection_lookup_g_object works (my previous
    attempt to fix #5688 broke this).

 test/core/5688.c      | 81
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 test/core/Makefile.am | 13 ++++++++-
 test/core/run-test.sh |  1 +
 3 files changed, 94 insertions(+), 1 deletion(-)

commit 6de1441865da2816c6bcd8cae842be93a8a96304
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-04-16 12:06:26 +0100

    fd.o #5688: don't assert when exported object is destroyed *after*
    D-Bus connection closes

    My solution was to introduce an ObjectRegistration struct which
    encapsulates the D-Bus <-> GObject glue.

    Also, warn and keep the first object path if the library user
    registers
    an object at two object paths (previously, this would fail silently,
    use
    the second object path, and leak memory).

 dbus/dbus-gobject.c | 111
 +++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 88 insertions(+), 23 deletions(-)

commit 725e98ffa810d04baf38e5d5d3f62091334b0888
Author: Peter Korsgaard <jacmet@sunsite.dk>
Date:	2009-04-15 21:29:09 +0100

    add --with-dbus-binding-tool option to use an external
    dbus-binding-tool

    Cross compilation fix. dbus-binding-tool needs to run on the host, but
    gets
    compiled for the target. Add an option to use an external program
    (host version) instead, similar to the --with-introspect-xml option.

    Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
    Signed-off-by: Robert Schwebel <r.schwebel@pengutronix.de>

 configure.ac				|  5 +++++
 dbus/examples/Makefile.am		|  4 ++--
 dbus/examples/statemachine/Makefile.am |  4 ++--
 test/core/Makefile.am			|  6 +++---
 test/interfaces/Makefile.am		| 12 ++++++------
 tools/Makefile.am			|  2 +-
 6 files changed, 19 insertions(+), 14 deletions(-)

commit a0124a5ecc829b73e2293cd7b23bf0cf0eb0a87c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-03-26 18:06:53 +0000

    dbus_g_type_specialized_init: make some effort at being thread-safe

    dbus-glib isn't really thread-safe and needs a systematic audit,
    but let's
    at least be preemptively thread-safe in new code.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gtype-specialized.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit f36381131b6f410333a9a823a4fc131ac799394f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2009-03-26 18:00:16 +0000

    fd.o#20884: dbus_g_proxy_manager_replace_name_owner: don't leave
    freed memory in the hash table if the name was the owner's first

    Here's a situation where this code would fail:

    * an owner :1.42 owns a name com.Example and a name org.Example
    * the owner_names hash table contains { :1.42 => c }, where
      c is a GSList link with data = "com.Example", next = o and
      o is a GSList link with data = "org.Example", next = NULL
    * the name owner for com.Example changes so :1.42 no longer owns the
      name
    * initially, names == c
    * g_slist_delete_link unlinks and frees c, and sets names = o
    * but c is still in the hash table, so next time we look in the hash
      table, we crash

    The fix is to replace c with o in the owner_names hash table.

 dbus/dbus-gproxy.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit d275c2e646f67a3929d9290c6bdb270d6346b83c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:14:47 +0000

    Remove all sorts of libdbus cruft from configure.ac

 configure.ac	  | 102
 -------------------------------------------------------
 test/Makefile.am |   1 -
 2 files changed, 103 deletions(-)

commit 6791d09f72a63dcb72d57a187210bc133f463fcf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:07:06 +0000

    Don't check for atomic integer ops

    GLib has perfectly good ones, and `git grep ATOMIC` confirms that
    we no
    longer use the result of the check

 configure.ac | 26 --------------------------
 1 file changed, 26 deletions(-)

commit 6de33eb0a3e53d92e47a717849f144a0a313e923
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:06:29 +0000

    Don't check whether va_copy works

    `git grep DBUS_VA_COPY` confirms that we no longer care

 configure.ac | 75
 ------------------------------------------------------------
 1 file changed, 75 deletions(-)

commit 7bf91463598fc1e6ad44096f33aa4b61bf58443f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:04:09 +0000

    configure.ac: Don't check endianness

    `git grep ENDIAN` confirms that we no longer need it.

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit dc93d2a6eaf75bd783d16d90f62d8abefd4e26a4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:01:32 +0000

    Don't define DBUS_API_SUBJECT_TO_CHANGE

    It isn't, and we need libdbus >= 1.1 in any case

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit 094f45d0097679e8d458431231bcb3c999568d60
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:00:06 +0000

    configure.ac: don't check the sizes of integers

    This is presumably a relic of libdbus.

 configure.ac | 105
 -----------------------------------------------------------
 1 file changed, 105 deletions(-)

commit d30b06afd0a8bb6dddeefd7ac4d978799df03a52
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 16:58:37 +0000

    Remove CXX cruft from configure.ac

    There is no C++ in this package, so why are we checking for a C++
    compiler?

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit 98087a3d62523b621a1bd2359661ffe24553c34e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 17:22:59 +0000

    Bug #16776: add a regression test

 test/core/my-object.c		 | 11 +++++++++++
 test/core/my-object.h		 |  1 +
 test/core/test-dbus-glib.c	 | 13 +++++++++++++
 test/core/test-service-glib.xml |  3 +++
 4 files changed, 28 insertions(+)

commit 20c474b8b8b356836e50af0e9bf3b32584d83ac4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-11-28 16:23:43 +0000

    Bug 16776: teach dbus_g_method_return_error about DBUS_GERROR

    Code called by dbus_g_method_return_error assumes that errors in the
    domain DBUS_GERROR always have the code DBUS_GERROR_REMOTE_EXCEPTION.
    This is clearly not true, and it would be nice to be able to raise the
    "well-known" D-Bus errors from library user code.

 dbus/dbus-gobject.c | 69
 ++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 66 insertions(+), 3 deletions(-)

commit e18f5dd13c562333bc580f3b5bdf3ecd8d7555ce
Author: Mikkel Kamstrup Erlandsen <mikkel.kamstrup@gmail.com>
Date:	2008-11-28 15:58:43 +0000

    Bug 13908: make dbus_g_type_specialized_init() safe for library
    users to call

 dbus/dbus-gtype-specialized.c | 6 ++++++
 dbus/dbus-gvalue.c	       | 1 -
 2 files changed, 6 insertions(+), 1 deletion(-)

commit bc474819fa638a0daf3c89e6d041949b73e9228e
Author: Sjoerd Simons <sjoerd@luon.net>
Date:	2009-03-17 11:21:56 +0000

    Use g_strdup instead of strdup in dbus_g_method_get_sender

 dbus/dbus-gobject.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit dfef72c61c050e7f57e1d2eb601701e0a27827cc
Author: Colin Walters <walters@verbum.org>
Date:	2009-02-05 11:17:15 -0500

    Bug 14183 - Listen to NameOwnerChanged using arg0 matching

    This is more efficient - we avoid waking up every dbus-glib using
    process
    when a process joins or leaves the bus.

 dbus/dbus-gproxy.c | 57
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit 42b17678dec6d0100bcbc433441f6a75df747e5c
Author: Colin Walters <walters@verbum.org>
Date:	2009-02-05 10:59:15 -0500

    Use -fno-strict-aliasing by default

    We're unlikely to be strict-aliasing safe anytime soon.  This change
    corresponds with http://bugs.freedesktop.org/show_bug.cgi?id=10599

 configure.ac | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 56b9773dc5dd589638e22f48ec4222ae491c2bc1
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	2009-02-03 14:00:50 +0100

    Fix format-security warning

 dbus/dbus-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 300b4fd822b8f57802ca35f4c867464b881632e3
Author: Colin Walters <walters@verbum.org>
Date:	2009-02-02 19:40:51 -0500

    Bump configure for unstable cycle

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49cad2ca523de6a85f12d22ade23046c548ea601
Author: Colin Walters <walters@verbum.org>
Date:	2009-02-02 19:40:29 -0500

    Release 0.80

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b161082148a51f2a2d8a4ee85f5736791dedc276
Author: Colin Walters <walters@verbum.org>
Date:	2009-02-02 15:07:51 -0500

    Bug 19065 - handle nested nodes in dbus-binding-tool

    Patch modified from one provided by Stian Skelstad <stian@nixia.no>.

    Split the generate_glue function explicitly into a toplevel
    function and
    one for processing recursive nodes.

 dbus/dbus-binding-tool-glib.c	 | 108
 +++++++++++++++++++++++-----------------
 m4/gtk-doc.m4			 |   2 +-
 test/Makefile.am		 |   5 ++
 test/core/Makefile.am		 |   6 +--
 test/data/nested-introspect.xml |  10 ++++
 test/test-compile-nested.sh	 |   5 ++
 6 files changed, 85 insertions(+), 51 deletions(-)

commit 64ec55f59a9ebe699e240c2a3b4d82e85f2db4a0
Author: Doug Goldstein <cardoe@gentoo.org>
Date:	2009-01-30 17:38:19 -0500

    Bug 19325 - parallel build fix

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 299460549e92665e5ea09d459d3985fc85d8d73c
Author: Colin Walters <walters@verbum.org>
Date:	2009-01-30 16:03:11 -0500

    Bug 19259: Always use /etc/bash_completion.d

    This looks like what bash upstream has standardized on.

 dbus/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 78eb504bd9954918c363f357d0ab71ca85e3fc23
Author: Colin Walters <walters@verbum.org>
Date:	2009-01-27 18:59:01 -0500

    Bug 19647: Move test-types inside run-test to avoid dep on existing
    session bus

    All tests that use DBUS_BUS_SESSION should be in run-test.sh to
    avoid introducing
    a dependency on an existing session bus.

 test/core/Makefile.am | 2 +-
 test/core/run-test.sh | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 3d25c1640d59e9770c33fafb1a12766feb6494e8
Merge: d92a441 8868486
Author: Colin Walters <walters@verbum.org>
Date:	2009-01-27 18:43:50 -0500

    Merge branch 'master' of
    ssh://walters@git.freedesktop.org/git/dbus/dbus-glib

commit d92a44109e3fdc766e34b53f7ec5329e98e13909
Author: Colin Walters <walters@verbum.org>
Date:	2009-01-27 17:00:37 -0500

    Bug 19441: Don't send replies for messages explicitly not requesting
    one

    In sending a reply when a message has the dbus_message_set_no_reply
    flag set, we can cause spurious denials logged on the system bus,
    aside
    from being inefficient.

 dbus/dbus-gobject.c | 67
 +++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 47 insertions(+), 20 deletions(-)

commit 88684866d06df99f89b30a07e4809369b4cb0453
Author: Colin Walters <walters@verbum.org>
Date:	2008-12-19 11:18:26 -0500

    Add new files missed from last commit

 test/core/my-object-subclass.c		  | 115
 +++++++++++++++++++++++++++++++
 test/core/my-object-subclass.h		  |  33 +++++++++
 test/core/test-service-glib-subclass.xml |   8 +++
 3 files changed, 156 insertions(+)

commit d55ffa5bbccd027caf7f2e7376b555e397a7ac3c
Author: Dan Williams <dcbw@redhat.com>
Date:	2008-12-18 13:09:33 -0500

    Bug 19145: test cases for GetAll

    Add test cases for GetAll.

    Signed-off-by: Colin Walters <walters@verbum.org>

 test/core/Makefile.am		 |  11 ++-
 test/core/test-dbus-glib.c	 | 187
 ++++++++++++++++++++++++++++++++++++++++
 test/core/test-service-glib.c	 |   7 ++
 test/core/test-service-glib.xml |   2 +
 4 files changed, 205 insertions(+), 2 deletions(-)

commit 94d68f00d9d244de3b1d66d3cf78bb5171552311
Author: Tambet Ingo <tambet@gmail.com>
Date:	2008-12-18 12:09:43 +0200

    Use the provided interface for org.freedesktop.DBus.Properties.GetAll
    call.

 dbus/dbus-gobject.c | 82
 ++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 68 insertions(+), 14 deletions(-)

commit 1b150c32aa574b421161b63bb01eeeb5ad23bf3a
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:	2008-12-05 11:16:46 -0500

    Fix linking order so -Wl,--as-needed works

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4a6c4755d7a82bb7ec0a8bf472bfe091c310ef0
Author: Colin Walters <walters@verbum.org>
Date:	2008-12-04 16:12:18 -0500

    Do NEWS for 0.78

    Should have been in earlier commit, oops.

 NEWS | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 3a713710a34d75d174eb632a6444e87dbf3923f4
Author: Colin Walters <walters@verbum.org>
Date:	2008-12-04 16:02:12 -0500

    Bump configure for unstable cycle

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit beaff4e7c8e6ef601a00c03a4bed533becd273be
Author: Colin Walters <walters@verbum.org>
Date:	2008-12-04 15:58:30 -0500

    Release 0.78.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d77506652b555b147e79889d6163208535e1cd74
Author: Colin Walters <walters@verbum.org>
Date:	2008-12-04 15:58:12 -0500

    Clean bash completion file

 dbus/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 6ba71576f4417bab46ca666fa44dda52dee95e88
Author: David Zeuthen <davidz@redhat.com>
Date:	2008-07-31 12:28:07 -0400

    add bash completion for dbus-send(1)

    For now, it's in dbus-glib since dbus doesn't have an introspection
    XML parser (yet).

    Signed-off-by: Colin Walters <walters@verbum.org>

 configure.ac			    |  13 +
 dbus/Makefile.am		    |  17 +-
 dbus/dbus-bash-completion-helper.c | 513
 +++++++++++++++++++++++++++++++++++++
 dbus/dbus-bash-completion.sh.in    |  21 ++
 4 files changed, 563 insertions(+), 1 deletion(-)

commit 48738e529dc7a0f27d185f2e79174b0e369fd0af
Author: Tomas Pelka <tpelka@redhat.com>
Date:	2008-12-04 15:46:31 -0500

    Bug 18497 - Correct type in test case

    Changing to INT32 matches the sending side.

    Signed-off-by: Colin Walters <walters@verbum.org>

 test/core/test-thread-server.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aebec4bd82c023502600786793ba0ce0c7323fbe
Author: Colin Walters <walters@verbum.org>
Date:	2008-12-04 15:42:08 -0500

    Bug 18698 - Use AC_SEARCH_LIBS to avoid unneeded dep on nsl

    Also changed the socket search to be the same way.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f10ee141185f9501c852acaf557b100abafc60fb
Author: Nick Welch <nick@incise.org>
Date:	2008-12-04 15:28:45 -0500

    Typo fix in docs

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0bba240c4beb6ecfd71aefa184011e8adc27f5f
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:	2008-09-23 23:42:02 +0300

    Bug #17329: allow hash tables to contain complex types

    Previously, dbus-glib has provided destroy functions for the keys and
    values when constructing hash tables, so that any hash tables it
    constructed could be entirely freed (along with their contents) by
    destroying/unreffing. Unfortunately this meant that any "complex"
    types,
    where you need to know the GType in order to free them, were not
    allowed
    in hash tables. In real terms, this was anything which dbus-glib
    marshalled to a GPtrArray, so any array of arrays, variants,
    structures,
    object paths, or other boxed types were not allowed as hash values.

    This patch allows a broader range of types to be used as the values in
    hash tables, including those where no simple free function is
    available.
    Instead of relying on the key/value destroy functions, the new
    hash_free
    function uses g_hash_table_foreach_steal to remove the keys and values
    pairwise and free them when the type is known.

    Unfortunately, it's part of the API assumptions that hash tables which
    were produced through the current API had valid free functions, and
    particularly that if the hash table was reffed by the application,
    that
    the keys/values would persist beyond when dbus-glib had unreffed
    it, and
    be freed when the hash table was later destroyed. So it's not
    sufficient
    to use only this new freeing method on all hash tables from now on
    - we
    have to behave in the old way for all of the previously allowable
    types
    (including any hash tables which contain any hash tables which were
    freeable in the old way).

    However, as these new hash tables contain values which will not
    be freed
    if you manipulate the hash table directly (removing or replacing keys,
    or destroying or unreffing it directly), and g_boxed_free should
    be used
    instead, a false free function is provided to print a critical warning
    for the developer in the case that memory would be leaked.

 dbus/dbus-gvalue-utils.c	 | 151
 ++++++++++++++++++++++++++++++++++++++--
 test/core/test-dbus-glib.c	 |  37 ++++++----
 test/core/test-service-glib.xml |   4 +-
 3 files changed, 168 insertions(+), 24 deletions(-)

commit 143b09b42d73451dcc3b835f76f8d43da786342a
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:	2008-09-22 21:40:48 +0100

    Bug #17798: add support for 'o', 'g' and 'as' in dictionaries

    This teaches the parameterised hash table about how to hash,
    compare and
    free object paths and signatures, allowing them to be used as
    hash keys
    and values, and also how to free strvs, so they can be used as values.
    Adds some simple test methods which echo a{gas} and a{oas}
    dictionaries
    back immediately and compare the results.

 dbus/dbus-gvalue-utils.c	 | 29 +++++++++++++
 test/core/my-object.c		 | 16 +++++++
 test/core/my-object.h		 |  4 ++
 test/core/test-dbus-glib.c	 | 96
 +++++++++++++++++++++++++++++++++++++++++
 test/core/test-service-glib.xml | 12 ++++++
 5 files changed, 157 insertions(+)

commit e4c917189dc9478c261c94703b311e1579292f22
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:	2008-09-14 21:16:10 +0100

    Bug #17797: add support for 'g' type, as a boxed char *

    Adds DBUS_G_TYPE_SIGNATURE, which is a boxed type just like
    DBUS_G_TYPE_OBJECT_PATH.

 dbus/dbus-binding-tool-glib.c	 |  4 ++
 dbus/dbus-glib.h		 |  3 ++
 dbus/dbus-gmain.c		 |  5 ++-
 dbus/dbus-gsignature.c		 |  2 +
 dbus/dbus-gvalue.c		 | 82
 ++++++++++++++++++++++++++++++++++++++++-
 test/core/my-object.c		 |  7 ++++
 test/core/my-object.h		 |  1 +
 test/core/test-dbus-glib.c	 | 19 ++++++++++
 test/core/test-service-glib.xml |  5 +++
 9 files changed, 126 insertions(+), 2 deletions(-)

commit f89b8de02f21891f430a2e370c391238b575403a
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:	2008-09-23 23:45:14 +0300

    Bug #17795: depend on Glib 2.10 for hash unref consistency

    Commit a8bf32 (for bug #11396) introduced a compile-time version check
    for Glib 2.10 which changed whether hash_simple_free called
    g_hash_table_unref or g_hash_table_destroy. This is at best useless
    for
    people who actually wanted to rely on _unref being used instead of
    _destroy, because dbus-glib can legitimately be built against older
    versions of Glib than that in use by the application itself, and at
    worst harmful as applications relying on the _unref semantics
    would have
    their assumptions violated on platforms where this was the case. Given
    in /most/ cases now, Glib 2.10 is readily available, and we were
    in this
    kinda vague state where people could've used _unref and gotten
    away with
    it, I'm going to say thats what our ABI is now, and stick to
    it. People
    can depend on the next version of dbus-glib if they rely on _unref.

 configure.ac		  | 2 +-
 dbus/dbus-gvalue-utils.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 24b94fb83c0d22cf2803af692dd8ccbc485d890c
Author: Robert McQueen <robert.mcqueen@collabora.co.uk>
Date:	2008-09-22 21:25:03 +0100

    Bug #17794: make run-test.sh fail when die is called

    Missing die() function meant this wasn't returning non-zero even when
    tests were failing. Oops.

 test/core/run-test.sh | 6 ++++++
 1 file changed, 6 insertions(+)

commit 3ca014ea6b55cd843f1c80b04a4e0ec41af6210e
Author: Colin Walters <walters@verbum.org>
Date:	2008-11-17 18:30:32 -0500

    Bug 18573 - Fix race when service appears and disappears quickly

    We can't assert that a for_name_owner proxy is associated when
    we disassociate; if a service appears and disappears quickly, we
    won't be associated yet.  So remove the assertion.
    Correspondingly we need to cancel any inflight GetNameOwner call
    when disassociating proxies to avoid leaking.

 dbus/dbus-gproxy.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 0a883a523f8d133f71271276b755162c56480021
Author: Philip Van Hoof <pvanhoof@gnome.org>
Date:	2008-09-18 18:22:59 -0400

    Bug 17614: Use g_slice for allocating temporary async call data

    Using g_slice is going to be faster.

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-binding-tool-glib.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 4c7e60e3ff4148a181a496f85b491e8cb39d7e46
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-20 14:08:47 -0400

    Bug 10373: Use of deprecated API (was used incorrectly)

	* dbus/dbus-gvalue.c: The use of dbus_message_iter_get_array_len
	here is incorrect; we don't want to allocate a number of pointers
	based on the length of the strings.  Instead, we now use the
	regular
	GArray type which handles reallocating as size increases
	appropriately.

 dbus/dbus-gvalue.c | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit 2514b84b3644223653018cd75d0d6e1459a7ab70
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-19 12:47:16 -0400

    Bug 16419: stack overflow demarshaling recursive variants

	* dbus/dbus-gvalue.h: Add a recursion_depth member.
	* dbus/dbus-gvalue.c: Keep track of recursion depth in
	_dbus_gvalue_demarshal, cut it off at a default
	(right now 32).
	* dbus/dbus-gobject.c: Initialize recursion depth.
	* dbus/dbus-gproxy.c: Ditto.
	* test/core/test-variant-recursion.c: Test the
	variant recursion case, make sure the remote site
	will throw an error.
	* test/core/Makefile.am: Add test-variant-recursion.

 dbus/dbus-gobject.c		    |  2 +
 dbus/dbus-gproxy.c		    |  2 +
 dbus/dbus-gvalue.c		    | 21 ++++++++-
 dbus/dbus-gvalue.h		    |  1 +
 test/core/Makefile.am		    |  6 ++-
 test/core/run-test.sh		    |  1 +
 test/core/test-variant-recursion.c | 89
 ++++++++++++++++++++++++++++++++++++++
 7 files changed, 119 insertions(+), 3 deletions(-)

commit d1b80d803a0268bd4b3dd5b9a9522230461f2947
Author: Dan Williams <dcbw@redhat.com>
Date:	2008-06-05 17:57:53 -0400

    Bug 16114 [patch] wincaps-to-uscore property names for GetAll()

	* dbus/dbus-gobject.c: We need to uscore property names
	so that we actually find the right properties.

 dbus/dbus-gobject.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 8054025ae498cc586676fd0ed6573828dd0de4a0
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 16:05:39 -0400

    One final large HACKING update

 HACKING | 32 +++++++++++++++++++++++++++++---
 1 file changed, 29 insertions(+), 3 deletions(-)

commit d80bc7686a0e5cc7d45d940e8404ac4c8742b8f5
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 15:40:35 -0400

    Pacify gtk-doc by adding new files

	* doc/reference/dbus-glib-undeclared.txt:
	* doc/reference/dbus-glib.types: New files
	without which gtk-doc complains.

 doc/reference/dbus-glib-undeclared.txt | 0
 doc/reference/dbus-glib.types		| 0
 2 files changed, 0 insertions(+), 0 deletions(-)

commit d91cf40b83f7900899fe89cc83a75c82cd4bf833
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 15:37:16 -0400

    Another HACKING tweak

 HACKING | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e4b73986d1b2d6f9badda4656e57023b2c921ff7
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 15:37:02 -0400

    Bump for development

 configure.ac				  |  2 +-
 doc/reference/dbus-glib-undocumented.txt | 20 +++-----------------
 2 files changed, 4 insertions(+), 18 deletions(-)

commit 96f144d25c7f3d573684bd50f87d912990f3c589
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 15:09:02 -0400

    Release 0.76

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1517f7f395527519402f8b37988de9d4ea24dbc5
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 15:08:40 -0400

    Document release process

 HACKING | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit e0dcd92e33e566f9852df94036e74f48af795ea3
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 14:55:15 -0400

    Update HACKING

 HACKING | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 4f776e9db9f299dab96a12a00a6279b6977f6c32
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 14:48:18 -0400

    Update gtk-doc

 doc/reference/dbus-glib-undocumented.txt | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit fa46dc8d35de877b8bdcb53f9508252249138bd6
Author: Colin Walters <walters@verbum.org>
Date:	2008-06-05 14:40:09 -0400

    Update NEWS

 NEWS | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit acd44d2ae3069667dbbb8b9c9c8b9c2afcad96d9
Author: Christian Persch <chpe@gnome.org>
Date:	2008-06-03 18:01:54 -0400

    Bug 16217: generated bindings don't build with
    -DG_DISABLE_SINGLE_INCLUDES

		* dbus/dbus-binding-tool-glib.c: Only include glib.h
		because
		individual includes are disallowed.

    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-binding-tool-glib.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1744bf88024756d17f867ab9b86aca25e2b77e64
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-28 14:11:01 -0400

    Remove GConnection tests that assert, since we abort on those

 test/core/test-types.c | 26 --------------------------
 1 file changed, 26 deletions(-)

commit a94e11973467e1b2cc43ba1e77b7413655b1dff7
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-28 00:25:57 -0400

    Bug 11671: Don't use well known name in /tmp

    This as a side effect fixes the test suite on Solaris.

 test/core/peer-client.c    | 13 ++++++++++++-
 test/core/peer-server.c    | 26 ++++++++++++++------------
 test/core/run-peer-test.sh |  9 +++------
 3 files changed, 29 insertions(+), 19 deletions(-)

commit dceee795d0cdc5889701064ac38d3c64451b02ec
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 23:19:52 -0400

    From OpenSUSE: Add return statement in case assertions not enabled

 dbus/dbus-gvalue-utils.c | 1 +
 1 file changed, 1 insertion(+)

commit 681f3ae573b2e00dad5c1193a044a994fc50cf38
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 23:08:59 -0400

    Bug 13060: Remove NameOwnerChange matches on unref (Kimmo
    Hämäläinen)

 dbus/dbus-gproxy.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit eef148bdc0f602b0fba09a851c1ca6b55b8bb71c
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 23:01:39 -0400

    Bug 15733: Cosmetic fix for removing redundant declarations

 dbus/dbus-gtype-specialized.h | 2 --
 1 file changed, 2 deletions(-)

commit d043342c41535e610268b9bb2a45143bad0b597d
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 22:56:00 -0400

    Bug 12505: Avoid receiving duplicate NameOwnerChanged (Dan Williams)

 dbus/dbus-gproxy.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 43db9baa4cd0921d2ee830185ab46b4646b4e73b
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 16:49:26 -0400

    Bug 10834: Fix error handling path for dbus_g_proxy_end_call_internal

    This patch was based initial work by Peter Kjellerstedt.

    This patch made obvious the need to correctly handle type
    mismatches in demarshal_basic, similarly to what the other
    demarshalers are doing.

    Also add some tests for error handling.

 dbus/dbus-gproxy.c	    | 25 ++++++++++++++++++++-----
 dbus/dbus-gvalue.c	    | 28 ++++++++++++++++++++++++++++
 test/core/test-dbus-glib.c | 29 +++++++++++++++++++++++++++++
 3 files changed, 77 insertions(+), 5 deletions(-)

commit dc3bfd517a3bd0e28f4fc2d030ac38bdc848eb86
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 16:36:58 -0400

    Fix some test suite memory leaks

 test/core/test-dbus-glib.c | 3 +++
 1 file changed, 3 insertions(+)

commit 167ea555cf3a763d148a69d0af9453b83d70d107
Author: Julien Danjou <julien@danjou.info>
Date:	2008-04-24 14:03:42 +0200

    Fix typo in --help print strings

    Signed-off-by: Julien Danjou <julien@danjou.info>
    Signed-off-by: Colin Walters <walters@verbum.org>

 dbus/dbus-glib-tool.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c057283a86230904552d5c51623bbce5ab0c9770
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 15:15:35 -0400

    Bug 10244: Fix error handling case in parser (William Jon McCann)

    We need to return FALSE when handling an error.

 dbus/dbus-gparser.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 361dc90eaa269325ddc5dae0003ca11e1d7b811e
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 14:57:20 -0400

    Bug 9867: Respect ACLOCAL_FLAGS (Kalle Vahlman)

 autogen.sh | 1 +
 1 file changed, 1 insertion(+)

commit a8bf32ab8b0e30e0c74e07c58e9bc79a448683b2
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 14:31:58 -0400

    Bug 11396: Use g_hash_table_unref if available (Marco Barisione)

    This lets users ref hashes with g_hash_table_ref.

 dbus/dbus-gvalue-utils.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ad35bf13f93d18b0b0e8f930ff79af9dcc1c8508
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 14:18:49 -0400

    Bug 12675: Handle disconnected connections in calls (Kimmo
    Hämäläinen)

 dbus/dbus-gproxy.c | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit f110cd3aa0532ab6cdfb1ee9a19f839700fe32e6
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 13:57:40 -0400

    Bug 12857: Balance va_start/va_end in error case (Kimmo Hämäläinen)

 dbus/dbus-gparser.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d20c90aab3b0eca8715deaa59877f35a7d4e345e
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 13:54:11 -0400

    Bug 12849: Fix use after free (Kimmo Hämäläinen)

 dbus/dbus-gvalue.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fde77bff42fac9ed95869a69acff4f9daab23e04
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 13:35:20 -0400

    Bug 16079: Return an error on unknown property

    https://bugs.freedesktop.org/show_bug.cgi?id=16079

    Previously we just asserted, not very useful.

 dbus/dbus-gobject.c	    |  6 +++++
 test/core/test-dbus-glib.c | 62
 +++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 67 insertions(+), 1 deletion(-)

commit b26f1887f6907d4c9a1dac013649f28950c6b2d3
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 13:34:55 -0400

    Support for monitoring conversation during tests

 test/core/run-test.sh | 3 +++
 1 file changed, 3 insertions(+)

commit b783ce802db01a5370ce70514755e1885f6e6eb1
Author: Colin Walters <walters@verbum.org>
Date:	2008-05-27 12:39:44 -0400

    Also make CRITICAL messages fatal in tests.

 test/core/test-dbus-glib.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8fe656de630e851bc512bbd7e7a6c18c53aecb61
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-04-14 12:56:43 +0100

    Freeze error ABI at the ABI used in Fedora 8 and Ubuntu gutsy.

    This avoids getting a different ABI depending on the version of
    libdbus
    we're compiled against. fd.o #15430, Debian #476080.

 dbus/dbus-glib.h		     | 34 +++++++++++++++++-
 dbus/dbus-gobject.c		     | 72
 ++++++++++++++++++++++++++++++++++++-
 dbus/make-dbus-glib-error-enum.sh   | 25 +------------
 dbus/make-dbus-glib-error-switch.sh | 29 +--------------
 4 files changed, 106 insertions(+), 54 deletions(-)

commit 7fccdc8386d97d8c7e963800b1fbedd47f72b66b
Author: Colin Walters <walters@space-ghost.verbum.private>
Date:	2008-03-31 11:23:29 -0400

    Add some docs to dbus_set_g_error.

 dbus/dbus-gobject.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 34042c4cf2fcf18e101d07e495f9fa5dda99aa58
Merge: df7c2b7 bd53ac9
Author: David Zeuthen <davidz@redhat.com>
Date:	2008-03-17 13:11:45 -0400

    Merge branch 'master' of
    ssh://david@git.freedesktop.org/git/dbus/dbus-glib

commit df7c2b783ed92f33a1bedcba12a9c30fc34ba8d5
Author: David Zeuthen <davidz@redhat.com>
Date:	2008-03-17 13:10:47 -0400

    add some design advice to dbus_g_proxy_set_default_timeout()

    ... as requested on the mailing list.

 dbus/dbus-gproxy.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit bd53ac9f7ef9a6c2c9d1d12af382b1a8a10e9dba
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2008-03-17 15:10:43 +0100

    allow namespaced extentions to introspection XML

    This allows us to stick namespaced documentation stuff into the
    introspection
    XML and have dbus-glib not puke on it.

    Patch credit goes to Colin Walters.

 dbus/dbus-glib-tool.c |  2 +-
 dbus/dbus-gparser.c   | 40 +++++++++++++++++++++++++++++-----------
 2 files changed, 30 insertions(+), 12 deletions(-)

commit cb732d38f78dfb7c1ef73179e798fa4f42fd962e
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2008-03-17 14:26:50 +0100

    bump version and dbus dependancy

    Bumps version to 0.75. Bumps dbus dependany to 1.1.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 09b0fc5818812d0167243bae9fd52cdaf67f0af0
Author: David Zeuthen <davidz@redhat.com>
Date:	2008-03-15 16:51:48 -0400

    Export the recently added GetAll() method on org.fd.DBus.Properties

    Because round-trip city is a bad place.

 dbus/dbus-gobject.c | 220
 ++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 177 insertions(+), 43 deletions(-)

commit bf0c9b3d6adc95863d5b5a4ce6ca994fd7fdc137
Author: David Zeuthen <davidz@redhat.com>
Date:	2008-03-15 15:32:56 -0400

    Add new function to specify the default timeout for a proxy

    Without a function like this the generated client glue code is
    unusable for D-Bus methods that take a long time to complete (such as
    disk operations like mkfs and partitioning).

    Also add some missing _with_timeout functions on DBusGProxy to the gtk
    docs.

 dbus/dbus-glib.h			  |  3 +++
 dbus/dbus-gproxy.c			  | 35
 ++++++++++++++++++++++++++++++--
 doc/reference/dbus-glib-sections.txt	  |  3 +++
 doc/reference/dbus-glib-undocumented.txt | 15 ++++++++++----
 4 files changed, 50 insertions(+), 6 deletions(-)

commit 1fa4129f67208e24f6ae5f9ab38a3ee26c521f87
Author: David Zeuthen <davidz@redhat.com>
Date:	2008-03-15 15:21:06 -0400

    Bump version to 0.75

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1124256e1a87291101a6c287c1248c2f7276b993
Author: Ross Burton <ross@burtonini.com>
Date:	2008-02-27 14:27:49 +0000

    Fix incorrect assign in test suite

    We were assigning a DBusConnection* to a DBusGConnection*, which
    is bad.

 test/core/test-types.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit eea8f7247e1cbeb8c00fe316a37520b98acd55dc
Author: Ross Burton <ross@burtonini.com>
Date:	2008-02-27 14:22:16 +0000

    Use dbus_watch_get_unix_fd not dbus_watch_get_fd

    The latter is deprecated, so don't use it.

 dbus/dbus-gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cf62d7ff7d3a7bc450d0b60bb81a8365ffd310b
Author: Ross Burton <ross@burtonini.com>
Date:	2008-02-27 14:19:48 +0000

    Fix pending call cancelling in proxy dispose

    The dispose treated the hash values as DBusGProxyCall objects,
    but they are
    DBusPendingCall (thanks Dafyd Harries).

 dbus/dbus-gproxy.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 8e024ae2252e6e948c28203f07aa416df3dac0b8
Author: Ross Burton <ross@burtonini.com>
Date:	2008-02-27 14:02:36 +0000

    Unref the connection and message on dbus_g_return_error

 dbus/dbus-gobject.c | 3 +++
 1 file changed, 3 insertions(+)

commit 98423ae4e6b85741ce15f097652620886a49c375
Author: Ross Burton <ross@burtonini.com>
Date:	2007-11-13 17:56:37 +0000

    Allow daemondir to be configured (#10668)

    The daemon can be at any location, and may not be on the path.
    Fetch the path
    from the pkg-config file and use it if it is set.

    Thanks to Brian Cameron for this patch.

 configure.ac	   | 9 +++++++++
 tools/Makefile.am | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 33b7a7f05372baaaf95d0e1c2c3b758321e4b0c5
Author: Ross Burton <ross@burtonini.com>
Date:	2007-09-11 10:52:07 +0100

    Update ignores

    Add the new tests and *~ to the ignore list.

 .gitignore | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 4b2cf9d75f6c315071adc925ec56e3bac3423730
Author: Ross Burton <ross@burtonini.com>
Date:	2007-09-11 10:49:49 +0100

    Fix bashism

    "function" is a bashism, so don't use it.

 tools/run-with-tmp-session-bus.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f6e2c0c76d3643a1823b5ea7c8f5486a6b448de
Author: Ross Burton <ross@burtonini.com>
Date:	2007-09-11 10:37:47 +0100

    Fix broken introspection XML

    When writing XML for properties a duplicate closing tag was
    written. (#8607,
    thanks William Jon McCann).

 dbus/dbus-gobject.c | 2 --
 1 file changed, 2 deletions(-)

commit c08a7f910c4c746ba790375be2d0f0682471cf06
Author: Ross Burton <ross@burtonini.com>
Date:	2007-09-11 10:34:07 +0100

    Fix build with non-gcc compilers

    AIX's compiler and some non-c99 compilers are braindead, massage
    the code to
    work with them (#11675, thanks Peter O'Gorman).

 dbus/dbus-gtype-specialized.c		   | 4 +++-
 dbus/examples/statemachine/statemachine.c | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit b2bcb0f3fdf8eaec9257f48dd0a0e2ca03220775
Author: Ross Burton <ross@burtonini.com>
Date:	2007-09-11 10:17:12 +0100

    Fix bashisms

    The test suite used /bin/bash for no good reason, remove all bashisms.
    (#11672,
    thanks Peter O'Gorman).

 test/core/run-peer-test.sh	   |  4 ++--
 test/core/run-test.sh		   | 18 +++++++++---------
 test/interfaces/run-test.sh	   | 14 +++++++-------
 tools/run-with-tmp-session-bus.sh |  9 +++++----
 4 files changed, 23 insertions(+), 22 deletions(-)

commit 377831cc8496bf2b3f96e96a44ff4dfc1a6c690e
Author: Ross Burton <ross@burtonini.com>
Date:	2007-09-11 10:11:12 +0100

    Fix build with Glib 2.6

    configure.ac checks for glib 2.6, but the test suite used
    g_intern_static_string
    which was added in 2.10.  This removes the use of that function
    because it isn't
    required (#11674, thanks Peter O'Gorman).

 test/interfaces/test-interfaces.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2929a9d676b9961abff6c6acb1b67431f7d62ab1
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-06-27 11:49:02 +0100

    Update version in configure.ac

    Update version to 0.74 in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de33a575aa58867642bcfd8bb8cb2efc631d9f1d
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-06-27 11:39:08 +0100

    Update NEWS

    Update NEWS from git history.

 NEWS | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit a732cbc211b562660c5a17c898ad032fb8c041fd
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-27 11:05:03 +0100

    Sleep after starting the peer server, before starting the peer client.

    This fixes random failures due to the race.

 test/core/run-peer-test.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4335b1204a483ffa5c5a72d58b585f77827d852d
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-27 10:58:03 +0100

    Update NEWS for pending release.

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 0d77d83b7afd5837d4427b7cdc5940f54625b65c
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-06-22 17:15:34 +0100

    make test/core/run-peer-test.sh executable

 test/core/run-peer-test.sh | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 0ba73bf7cf1a2770b7aac8d57e61e755aca45b4d
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:46:37 +0100

    Add missing include.

 test/core/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit bf647c411b42064fe48877c30803cbe10d751204
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:45:57 +0100

    Install the type info before creating signals

    This fixes the type system warnings from peer-server, because the
    types where
    used (when creating signals) before they were created.  Installing
    type info
    initialises the types.

 test/core/my-object.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a3a6efda1117633cc8a5525811f6a3ba41f2d31b
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:28:48 +0100

    Init threading first to stop a warning from new GLib.

 test/core/peer-client.c    | 2 +-
 test/core/peer-server.c    | 2 +-
 test/core/run-peer-test.sh | 0
 3 files changed, 2 insertions(+), 2 deletions(-)

commit 36ed523539074a84cd990a8513b5d02a6223c44c
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:27:18 +0100

    Make test script executable

 test/core/run-peer-test.sh | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 514fd82183c214e3afd4cca630a20ff24b62e482
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:25:14 +0100

    Remove unused variable.

 test/core/run-peer-test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d428aa4edf426f662e89f2b08a377b0dd481f3ac
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:15:37 +0100

    Remove the XML documentation support in configure

    It isn't used and is legacy from when this was part of dbus itself.

 configure.ac | 34 +---------------------------------
 1 file changed, 1 insertion(+), 33 deletions(-)

commit 1f385f6b10799cdd0bf57d69d5212ac16ac17266
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 15:02:24 +0100

    Fix typo in _dbus_gvalue_signals_error (#10837)

    It was using g_value_get_boxed() when looking at a object-holding
    value.  Thanks
    to Peter Kjellerstedt for noticing this.

 dbus/dbus-gvalue-utils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68f03928aaac849dd12e38c01e448b569f578976
Author: Ross Burton <ross@burtonini.com>
Date:	2007-06-22 14:41:36 +0100

    Update GLib requirement (#10889).

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58cacc6872e1b8cf365ac056775498b9dede71b4
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-04-16 08:23:17 -0700

    Document dbus-gtype-specialized

    Documents all the functions in dbus-gtype-specialized.c and adds an
    overview of the functionality.

 dbus/dbus-gtype-specialized.c		  | 312
 ++++++++++++++++++++++++++++---
 dbus/dbus-gtype-specialized.h		  |  14 +-
 doc/reference/dbus-glib-sections.txt	  |   2 +-
 doc/reference/dbus-glib-undocumented.txt |  38 +---
 4 files changed, 304 insertions(+), 62 deletions(-)

commit 26d8584c04c05be29ae35acc3a2e8f573cc79206
Author: Ross Burton <ross@burtonini.com>
Date:	2007-03-30 18:12:11 +0100

    Add simple test suite for peer objects.

    Add a simple test suite for peer proxies.  This involved refactoring
    the
    MyObject class into its own file so that it can be used by multiple
    tools.  Also
    added is a test suite for dbus_connection_get_g_connection.

 test/core/Makefile.am	       |  26 +-
 test/core/my-object.c	       | 737 +++++++++++++++++++++++++++++++++++++
 test/core/my-object.h	       | 104 ++++++
 test/core/peer-client.c       | 127 +++++++
 test/core/peer-server.c       |  55 +++
 test/core/run-peer-test.sh    |   9 +
 test/core/test-service-glib.c | 832
 +-----------------------------------------
 test/core/test-types.c        |  74 ++++
 8 files changed, 1129 insertions(+), 835 deletions(-)

commit af91f5e0e2b5a20adf124707356b12da0c2f1e00
Author: Ross Burton <ross@burtonini.com>
Date:	2007-03-30 18:05:40 +0100

    Support peer-to-peer proxies.

    Previously DBus-GLib didn't support peer proxies despite having API
    for them.
    This patch stops dbus-glib from crashing when you use a peer signal
    (#10233).

 dbus/dbus-gproxy.c | 35 ++++++++++++++++++-----------------
 1 file changed, 18 insertions(+), 17 deletions(-)

commit 25f056826336d4385b5488706f0f1ecc0843bf2f
Author: Ross Burton <ross@burtonini.com>
Date:	2007-03-30 17:54:58 +0100

    Add dbus_connection_get_g_connection.

    Add dbus_connection_get_g_connection, which is useful when you have a
    DBusConnection which was originally a DBusGConnection, and want
    it back
    again.

 dbus/dbus-glib-lowlevel.h |  1 +
 dbus/dbus-glib.c	   | 24 ++++++++++++++++++++++++
 dbus/dbus-gmain.c	   | 12 ++++++------
 3 files changed, 31 insertions(+), 6 deletions(-)

commit 0c46ca1a20eb8ba676ea2f1e829d039d5e3c383d
Author: Ross Burton <ross@blackadder.(none)>
Date:	2007-03-22 15:04:14 +0000

    Stop compiler warnings (#10374).

 dbus/dbus-gthread.c	       | 1 +
 test/interfaces/test-server.c | 2 ++
 2 files changed, 3 insertions(+)

commit 72e9f061668a28cbbeae2400290e1993c5d60d3c
Author: Ross Burton <ross@burtonini.com>
Date:	2007-03-28 16:32:00 +0100

    Fix error handling

 dbus/dbus-gproxy.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 9ca04c94ed6ddc2ff7459ce2031740704ec67ff2
Author: Ross Burton <ross@burtonini.com>
Date:	2007-03-22 15:38:03 +0000

    Handle dbus errors which are not name has no owner

 dbus/dbus-gproxy.c | 3 +++
 1 file changed, 3 insertions(+)

commit 85b269cc7ca221ee4fe0235154e783b3640ee62d
Author: Ross Burton <ross@blackadder.(none)>
Date:	2007-03-22 15:05:02 +0000

    Update abstract socket test from dbus

    The abstract socket test doesn't cross compile at all, updating the
    test from
    the original copy in DBus.

 configure.ac | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit a64b26cdde04e624b2bb42ccadd3fc252bf05667
Author: Ross Burton <ross@burtonini.com>
Date:	2007-03-22 15:10:47 +0000

    Rename the error quark.

    The error quark was copied from GLib, renaming it to be unique.

 dbus/dbus-glib.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ca3418e8e00f62e3e60578e3951b51cd158f8dc
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-03-29 12:44:01 +0100

    Update AUTHORS

    Correct spelling of S.Nallammai, add Ross Burton, who's been missing
    here for quite some time.

 AUTHORS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7fbd3a1c49614e71a9ff2b3d6e43bf380527301b
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-03-29 12:32:46 +0100

    Update AUTHORS

    I had failed to update AUTHORS in the last couple of releases,
    this commit makesit current.

 AUTHORS | 6 ++++++
 1 file changed, 6 insertions(+)

commit f78b90659f32474b7ca56925ddebd88af7f06c86
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-03-29 12:20:30 +0100

    Update .gitignore

    Ignore autoconf errors, autom4te.cache, some new generated files.

 .gitignore | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 138e4ce76ae53b86488e12c43db511a838be4fc9
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-13 14:16:22 +0000

    Do libtool versioning.

    As we're going to start behaving like a proper library, update
    libtool versionsing appropriately for our added api.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d19c5c0eac749704af70edffaa1fa0ac70eb9373
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-13 13:58:38 +0000

    Update NEWS

    Releasing today..

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e368483363fc920cf2978180f3a9fe6687465807
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-12 04:23:42 +0000

    Update NEWS

    Update NEWS, adding fix for bug #9769.

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 814b029d9291199bc9fdd2998c429ee15f243a93
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-12 04:21:50 +0000

    Add pkg-config support for uninstalled use.

    Adds dbus-glib-1-uninstalled.pc for use in build environments where
    dbus-glib is used as an uninstalled build dependancy. Fix due to
    Damien Carbery <damien.carbery@sun.com>.
    Fixes bug #9769.

 configure.ac		       |  1 +
 dbus-glib-1-uninstalled.pc.in | 12 ++++++++++++
 2 files changed, 13 insertions(+)

commit 6bcb544eb6bc164e367a0e849b6c41274809401e
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 02:49:57 +0000

    Update version in configure.ac

    Updates version 0.73 in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dba710006cb0b25454989f41babc53c12d3fc901
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 02:46:57 +0000

    Update NEWS ready for 0.73 release

    Updates NEWS with all the changes for 0.73

 NEWS | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 133bc8003657169f622d4340360a0e5b15a455de
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 02:21:20 +0000

    Allow passing of NULL to strv out arguments.

    A nicety for the user, allows passing NULL to strv out arguments as
    shorthand for an empty array.
    Patch due to Luiz Augusto von Dentz <luiz.dentz@gmail.com>
    Fixes bug #8795.

 dbus/dbus-gvalue.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 5f70d7b59445b634f94469a8c12cf31f8f81fdae
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 02:13:40 +0000

    Make uscore_to_wincaps return NULL when passed NULL.

    A null pointer dereference occured when uscore_to_wincaps was passed
    NULL, which could happen in some cases.
    Fixes bug #8318.

 dbus/dbus-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 678f8e5fdaf5c587547a96b173a5532f14337988
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 02:08:57 +0000

    Only respond to NameOwnerChanged if its one of our names.

    This fixes a crash due to code in
    dbus_g_proxy_manager_replace_name_owner that was dereferencing a
    null pointer when the process received a nameownerchanged for an
    object not registered with dbus-glib.
    Patch by Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>.
    Fixes bug #8235.

 dbus/dbus-gproxy.c | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit 1ce4d3e7324d92d797b7e41e869b1d0ff51f129a
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 01:51:55 +0000

    Fix dbus-binding-tool to generate headers usable from C++

    Adds a cast that isn't needed in C, but is needed in C++
    Thanks to Christian Persch <chpe@gnome.org>, though his patch had
    a typo :)
    Fixes bug #6358.

 dbus/dbus-binding-tool-glib.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d61bad839512dedb62318fd82e2c0b20906d62f
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 01:26:48 +0000

    Only require --prefix for server side binding generation

    In dbus-binding-tool, only require --prefix for server side
    binding generation, as client-side defaults to the useful
    org_foo_bar_baz. Also fixes up the help string.

    Closes bug #4185

 dbus/dbus-glib-tool.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit cb866d68e733e48bd6a6cea21fa4b5ca648d861e
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-09 00:04:13 +0000

    Clarify documentation for dbus_g_method_get_sender.

    Adds a note that the caller is responsible for freeing the returned
    value.

 dbus/dbus-gobject.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 22bd9971b4ac95f926b577e416f54ec57bb16d2d
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-08 23:54:33 +0000

    Add new API for specifying the timeout in DBusGProxy calls.

    This applies the patch from S. Nalliami <snallammai@novell.com>
    to provide new glib API's to allow the user to specify the timeout
    parameter for the method calls.
    Currently, in the dbus-glib APIs,the timeout value for synchronous
    and asynchronous method calls is hard coded as -1(ie.25seconds)
    which inhibits the user from specifying shorter or longer timeout
    values.The new APIs take the timeout value as an argument and
    processes the method calls.

    Fixes bug #9832.

 dbus/dbus-glib.h   |  16 +++++++
 dbus/dbus-gproxy.c | 121
 +++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 128 insertions(+), 9 deletions(-)

commit b226873fdc2e7b98740afb93a7bae675952a29f0
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-08 23:17:40 +0000

    Dont check for libxml2 when expat not found.

    There isn't a version of dbus-gloader that works with libxml2, so
    this changes configure.ac to not check for libxml2, and error out
    if expat isn't found.

 configure.ac | 47 ++++++-----------------------------------------
 1 file changed, 6 insertions(+), 41 deletions(-)

commit c51ff16bc93b4741061c362de638ab5e8cace000
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-08 15:06:08 +0000

    Add configure flags --with-introspect-xml

    Adds the configure flags --with-introspect-xml, which allows dbus-glib
    to be built with pre-generated bus daemons introspection xml (such as
    can be gained with dbus-daemon --introspect). This allows dbus-glib to
    be built without a running dbus-daemon, useful for embedded systems.

 configure.ac	   | 15 +++++++++++++++
 tools/Makefile.am |  5 +++++
 2 files changed, 20 insertions(+)

commit c5c0bed2166767162f599958270e92122da3ff2a
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2007-02-08 15:00:17 +0000

    update doc/reference/dbus-glib-undocumented.txt

    dbus_g_thread_init is now documented.

 doc/reference/dbus-glib-undocumented.txt | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit c807d408924e9a9bcc7b2eb67b411c25888090ee
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2007-01-08 08:41:11 +0000

    Use dbus_threads_init_default() rather than using own threading
    primitives.

    Modifies dbus_g_threads_init() to just call
    dbus_threads_init_default(), which with current dbus gives us full
    thread primitives with recursive locking.

    Fixes #9259.

 dbus/dbus-gthread.c | 143
 +++-------------------------------------------------
 1 file changed, 7 insertions(+), 136 deletions(-)

commit 9bb928331e2ad602728320598698de90c9a246d6
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2007-01-08 08:39:22 +0000

    Reduce dependancy to dbus version 0.93, error out if correct version
    not found.

    In configure.ac, add code to error out if correct version of dbus-1
    not found. Also use correct dependancy of 0.93, as this is when the
    --introspect flag was introduced to dbus-daemon. Pacth due to Luiz
    Augusto von Dentz  <luiz.dentz@gmail.com>.

    Fixes #8793.

 configure.ac | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 79d115030d45fefd96d5ffc7853f80fc454c13b1
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2007-01-07 13:34:26 +0000

    Allow dbus and dbus-glib to live in different prefixes

    Adds Cflags: -I${includedir}/dbus-1.0 to dbus-glib-1.pc.in.
    Fixes #9384.

 dbus-glib-1.pc.in | 1 +
 1 file changed, 1 insertion(+)

commit 6de547af3bd7d2c8b77464435c45d22bba702cc7
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-26 10:22:26 +0100

    Correct spellings in NEWS

 NEWS | 37 +++++++++++++++++++++++--------------
 1 file changed, 23 insertions(+), 14 deletions(-)

commit 83f8ed0935c37b3b5668d1a512370a51f73ccc27
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 22:14:02 +0100

    Update NEWS for release.

 NEWS | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit c449668fd2b8b92fde03a83ba76a0eb8bb2a9326
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 21:12:03 +0100

    only use -Wfloat-equal if compiler supports it
    Closes #7658. Thanks to Jens Granseuer <jensgr@gmx.net> for the patch.

 configure.ac | 31 +++++++++++++++++++++++++++----
 1 file changed, 27 insertions(+), 4 deletions(-)

commit 505e48a851e38664c45e482b8f75ebbfd27fe278
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 21:00:18 +0100

    return NULL from g_return_val_if_fail in dbus_g_proxy_begin_call
    Closes #4159.

 dbus/dbus-gproxy.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 62acdb49360dfbf994ef38c8e97d9190d30149f3
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 20:26:04 +0100

    Add dbus-gidl.h to IGNORE_HFILES for doxygen docs

 doc/reference/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 0d9889a99241aebc863237faf8126663c97ae059
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 20:17:55 +0100

    Update tools/Makefile.am for new dbus-binding-tool behaviour

 tools/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0aa2db3f6f18bff7d5c62a00f052ca89e21b269f
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 20:03:31 +0100

    Remove bashism in make-dbus-glib-error-enum.sh
    Closes #6700.

 dbus/make-dbus-glib-error-enum.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74bcfcfbc242325ca470d483817ae37fa8d41f25
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 19:37:12 +0100

    Fix introspection when object has exported properties.
    dbus-gobject:write_interface was completely broken
    Fix thanks to mccann@jhu.edu.
    Closes #8607.

 dbus/dbus-gobject.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3647d0df5780967dd505d3c046ab37ada70529bf
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 19:14:50 +0100

    Require --prefix in dbus-binding-tool
    Closes #4185.

 dbus/dbus-glib-tool.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 054c6476495a6f85ae708ed81b9053bf666897b7
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 18:34:49 +0100

    Dont shadow index.
    Rename useage of index to index_. Thanks stdlib...
    Closes #8353.

 dbus/dbus-gtype-specialized.c | 12 ++++++------
 dbus/dbus-gvalue.c	       | 14 +++++++-------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit d3a494dced8e3f2de111f23ae3fbab6e32f4051a
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 18:27:20 +0100

    Fix small leak when marshal_table is destroyed
    Closes #6870 with patch from Richard Hult <richard@imendio.com>

 dbus/dbus-gobject.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 9bfec032a72e7af5945336fecbb9b6e0b6f2de9e
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 18:24:53 +0100

    Fixes crash if disposing one DBusGProxy causes another for the
    same service
    to be unrefed in a destoyed callback.

 dbus/dbus-gproxy.c	    | 14 +++++++++-
 test/core/test-dbus-glib.c | 67
 ++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 78 insertions(+), 3 deletions(-)

commit 53bf71bd852810a271d13a73ba445622616c711c
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 16:41:38 +0100

    Bump version to 0.72
    and use modern AC_INIT, AM_INIT_AUTOMAKE

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 28a54df202f089a3e00930e36a787c175501be41
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 14:36:25 +0100

    Clean generated run-with-tmp-session-bus.conf on make clean

 test/core/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bcf15d72892582c28755563ca63182c198ef8f64
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 14:35:25 +0100

    Actually run unit tests and checks when doing make distcheck

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c21166ef7ce9b370448a39c6c6744813933abee
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 14:33:53 +0100

    Use TEST_CORE_SERVICE_BINARY path for core test service file

 test/data/valid-service-files/debug-glib.service.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6980d9d59edcf14cc1ab5af3945bd740a3f2495
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 14:32:14 +0100

    Use dbus-daemon --introspect to generate DBus service introspect xml

 tools/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 505f5486f055558934718672f1328b52fab6cd6e
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-25 14:30:23 +0100

    Actually make interfaces tests work
    Working interfaces/Makefile.am
    Make service file for interfaces test service
    Fix up configure.ac appropriately.
    Sanitise service/object namespace for interfaces tests
    Remove accidentally added test/interfaces/.Makefile.am.sw

 configure.ac			   |  6 ++-
 test/interfaces/Makefile.am	   | 81
 +++++++++++++++++----------------------
 test/interfaces/run-test.sh	   | 23 +----------
 test/interfaces/test-client.c	   | 22 +++++------
 test/interfaces/test-goodbye.xml  |  4 +-
 test/interfaces/test-hello.xml    |  4 +-
 test/interfaces/test-interfaces.c |  4 +-
 test/interfaces/test-objects.c    |  8 ++--
 test/interfaces/test-server.c	   |  8 ++--
 test/interfaces/test-song.xml	   |  4 +-
 10 files changed, 69 insertions(+), 95 deletions(-)

commit 4a479fe9516b141d94e57489f7e624ea6b94cb94
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-24 19:51:12 +0100

    Make interfaces tests work
    Working interfaces/Makefile.am
    Make service file for interfaces test service
    Fix up configure.ac appropriately.
    Sanitise service/object namespace for interfaces tests
    Remove accidentally added test/interfaces/.Makefile.am.swp

 .../data/valid-service-files/interfaces-test.service.in |   3 +++
 test/interfaces/.Makefile.am.swp			 | Bin 12288 ->
 0 bytes
 2 files changed, 3 insertions(+)

commit 4db00a26f0c67db96ff6185286658278678e23bd
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-24 18:07:26 +0100

    Changes for test/interfaces
    Changed configure.ac and test/Makefile.am

 configure.ac	  | 1 +
 test/Makefile.am | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 4f6a75760f55eeb79113d09baa46ecdd09e100e6
Author: Rob Taylor <rob.taylor@collabora.co.uk>
Date:	2006-10-24 16:36:08 +0100

    Add tests for new interfaces functionaility
    From bug #5173

 test/interfaces/.Makefile.am.swp  | Bin 0 -> 12288 bytes
 test/interfaces/.gitignore	   |   4 ++
 test/interfaces/Makefile.am	   |  86 ++++++++++++++++++++++++++
 test/interfaces/run-test.sh	   |  38 ++++++++++++
 test/interfaces/test-client.c	   |  85 +++++++++++++++++++++++++
 test/interfaces/test-goodbye.xml  |   9 +++
 test/interfaces/test-hello.xml    |  10 +++
 test/interfaces/test-interfaces.c | 126
 ++++++++++++++++++++++++++++++++++++++
 test/interfaces/test-interfaces.h |  48 +++++++++++++++
 test/interfaces/test-objects.c    |  73 ++++++++++++++++++++++
 test/interfaces/test-objects.h    |  31 ++++++++++
 test/interfaces/test-server.c	   |  56 +++++++++++++++++
